#################################################################################
#										#
#	Program:		CRSphere.py					#
# 	Programmer:		Bryan Cook					#
# 										#
#################################################################################
import App
import GlobalPropertyTemplates
# Setting up local templates.
#################################################
BorgSphere = App.ShipProperty_Create("Borg Sphere")

BorgSphere.SetGenus(1)
BorgSphere.SetSpecies(503)
BorgSphere.SetMass(50000000.000000)
BorgSphere.SetRotationalInertia(750000007020544.000000)
BorgSphere.SetShipName("sphere")
BorgSphere.SetModelFilename("data/Models/Ships/CRSphere/CRSphere.nif")
BorgSphere.SetDamageResolution(10.000000)
BorgSphere.SetAffiliation(0)
BorgSphere.SetStationary(0)
BorgSphere.SetAIString("BorgAttack")
BorgSphere.SetDeathExplosionSound("g_lsBigDeathExplosions")
App.g_kModelPropertyManager.RegisterLocalTemplate(BorgSphere)
#################################################
Hull = App.HullProperty_Create("Hull")

Hull.SetMaxCondition(250000.000000)
Hull.SetCritical(1)
Hull.SetTargetable(0)
Hull.SetPrimary(1)
Hull.SetPosition(0.000000, 0.000000, 0.000000)
Hull.SetPosition2D(18.000000, 103.000000)
Hull.SetRepairComplexity(17.000000)
Hull.SetDisabledPercentage(0.000000)
Hull.SetRadius(4.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Hull)
#################################################
ShieldGenerator = App.ShieldProperty_Create("Shield Generator")

ShieldGenerator.SetMaxCondition(125000.000000)
ShieldGenerator.SetCritical(0)
ShieldGenerator.SetTargetable(1)
ShieldGenerator.SetPrimary(1)
ShieldGenerator.SetPosition(0.000000, -2.000000, 2.000000)
ShieldGenerator.SetPosition2D(64.000000, 50.000000)
ShieldGenerator.SetRepairComplexity(17.000000)
ShieldGenerator.SetDisabledPercentage(0.500000)
ShieldGenerator.SetRadius(0.800000)
ShieldGenerator.SetNormalPowerPerSecond(2000.000000)
ShieldGeneratorShieldGlowColor = App.TGColorA()
ShieldGeneratorShieldGlowColor.SetRGBA(0.000000, 0.000000, 0.000000, 0.000000)
ShieldGenerator.SetShieldGlowColor(ShieldGeneratorShieldGlowColor)
ShieldGenerator.SetShieldGlowDecay(1.000000)
ShieldGenerator.SetMaxShields(ShieldGenerator.FRONT_SHIELDS, 26923.099609)
ShieldGenerator.SetMaxShields(ShieldGenerator.REAR_SHIELDS, 26923.099609)
ShieldGenerator.SetMaxShields(ShieldGenerator.TOP_SHIELDS, 26923.099609)
ShieldGenerator.SetMaxShields(ShieldGenerator.BOTTOM_SHIELDS, 26923.099609)
ShieldGenerator.SetMaxShields(ShieldGenerator.LEFT_SHIELDS, 26923.099609)
ShieldGenerator.SetMaxShields(ShieldGenerator.RIGHT_SHIELDS, 26923.099609)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.FRONT_SHIELDS, 448.717987)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.REAR_SHIELDS, 448.717987)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.TOP_SHIELDS, 448.717987)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.BOTTOM_SHIELDS, 448.717987)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.LEFT_SHIELDS, 448.717987)
ShieldGenerator.SetShieldChargePerSecond(ShieldGenerator.RIGHT_SHIELDS, 448.717987)
App.g_kModelPropertyManager.RegisterLocalTemplate(ShieldGenerator)
#################################################
Sensor = App.SensorProperty_Create("Sensor")

Sensor.SetMaxCondition(75000.000000)
Sensor.SetCritical(0)
Sensor.SetTargetable(1)
Sensor.SetPrimary(1)
Sensor.SetPosition(0.000000, 0.000000, 3.100000)
Sensor.SetPosition2D(119.000000, 103.000000)
Sensor.SetRepairComplexity(17.000000)
Sensor.SetDisabledPercentage(0.500000)
Sensor.SetRadius(0.500000)
Sensor.SetNormalPowerPerSecond(700.000000)
Sensor.SetBaseSensorRange(4000.000000)
Sensor.SetMaxProbes(1000)
App.g_kModelPropertyManager.RegisterLocalTemplate(Sensor)
#################################################
CorticalNode = App.PowerProperty_Create("Cortical Node")

CorticalNode.SetMaxCondition(125000.000000)
CorticalNode.SetCritical(1)
CorticalNode.SetTargetable(1)
CorticalNode.SetPrimary(1)
CorticalNode.SetPosition(0.000000, 0.000000, 0.000000)
CorticalNode.SetPosition2D(65.000000, 31.000000)
CorticalNode.SetRepairComplexity(22.000000)
CorticalNode.SetDisabledPercentage(0.500000)
CorticalNode.SetRadius(3.600000)
CorticalNode.SetMainBatteryLimit(10000.000000)
CorticalNode.SetBackupBatteryLimit(10000.000000)
CorticalNode.SetMainConduitCapacity(70000.000000)
CorticalNode.SetBackupConduitCapacity(20000.000000)
CorticalNode.SetPowerOutput(20000.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(CorticalNode)
#################################################
ImpulseEngines = App.ImpulseEngineProperty_Create("Impulse Engines")

ImpulseEngines.SetMaxCondition(250000.000000)
ImpulseEngines.SetCritical(0)
ImpulseEngines.SetTargetable(0)
ImpulseEngines.SetPrimary(1)
ImpulseEngines.SetPosition(0.000000, 0.000000, 0.000000)
ImpulseEngines.SetPosition2D(120.000000, 120.000000)
ImpulseEngines.SetRepairComplexity(3.000000)
ImpulseEngines.SetDisabledPercentage(0.500000)
ImpulseEngines.SetRadius(0.100000)
ImpulseEngines.SetNormalPowerPerSecond(1000.000000)
ImpulseEngines.SetMaxAccel(7.469340)
ImpulseEngines.SetMaxAngularAccel(0.400000)
ImpulseEngines.SetMaxAngularVelocity(0.500000)
ImpulseEngines.SetMaxSpeed(12.697900)
ImpulseEngines.SetEngineSound("Borg Engines")
App.g_kModelPropertyManager.RegisterLocalTemplate(ImpulseEngines)
#################################################
PortImpulse = App.EngineProperty_Create("Port Impulse")

PortImpulse.SetMaxCondition(75000.000000)
PortImpulse.SetCritical(0)
PortImpulse.SetTargetable(1)
PortImpulse.SetPrimary(1)
PortImpulse.SetPosition(-2.200000, -2.200000, 0.000000)
PortImpulse.SetPosition2D(30.000000, 41.000000)
PortImpulse.SetRepairComplexity(0.500000)
PortImpulse.SetDisabledPercentage(0.500000)
PortImpulse.SetRadius(0.500000)
PortImpulse.SetEngineType(PortImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortImpulse)
#################################################
StarImpulse = App.EngineProperty_Create("Star Impulse")

StarImpulse.SetMaxCondition(75000.000000)
StarImpulse.SetCritical(0)
StarImpulse.SetTargetable(1)
StarImpulse.SetPrimary(1)
StarImpulse.SetPosition(2.200000, -2.200000, 0.000000)
StarImpulse.SetPosition2D(96.000000, 40.000000)
StarImpulse.SetRepairComplexity(0.500000)
StarImpulse.SetDisabledPercentage(0.500000)
StarImpulse.SetRadius(0.500000)
StarImpulse.SetEngineType(StarImpulse.EP_IMPULSE)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarImpulse)
#################################################
TranswarpEngines = App.WarpEngineProperty_Create("Transwarp Engines")

TranswarpEngines.SetMaxCondition(250000.000000)
TranswarpEngines.SetCritical(0)
TranswarpEngines.SetTargetable(0)
TranswarpEngines.SetPrimary(1)
TranswarpEngines.SetPosition(0.000000, 0.000000, 0.000000)
TranswarpEngines.SetPosition2D(46.000000, 60.000000)
TranswarpEngines.SetRepairComplexity(0.750000)
TranswarpEngines.SetDisabledPercentage(0.500000)
TranswarpEngines.SetRadius(0.100000)
TranswarpEngines.SetNormalPowerPerSecond(800.000000)
App.g_kModelPropertyManager.RegisterLocalTemplate(TranswarpEngines)
#################################################
PortTranswarp = App.EngineProperty_Create("Port Transwarp")

PortTranswarp.SetMaxCondition(100000.000000)
PortTranswarp.SetCritical(0)
PortTranswarp.SetTargetable(1)
PortTranswarp.SetPrimary(1)
PortTranswarp.SetPosition(-1.000000, -3.000000, 0.000000)
PortTranswarp.SetPosition2D(4.000000, 90.000000)
PortTranswarp.SetRepairComplexity(0.750000)
PortTranswarp.SetDisabledPercentage(0.500000)
PortTranswarp.SetRadius(0.750000)
PortTranswarp.SetEngineType(PortTranswarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(PortTranswarp)
#################################################
StarTranswarp = App.EngineProperty_Create("Star Transwarp")

StarTranswarp.SetMaxCondition(100000.000000)
StarTranswarp.SetCritical(0)
StarTranswarp.SetTargetable(1)
StarTranswarp.SetPrimary(1)
StarTranswarp.SetPosition(1.000000, -3.000000, 0.000000)
StarTranswarp.SetPosition2D(125.000000, 90.000000)
StarTranswarp.SetRepairComplexity(0.750000)
StarTranswarp.SetDisabledPercentage(0.500000)
StarTranswarp.SetRadius(0.750000)
StarTranswarp.SetEngineType(StarTranswarp.EP_WARP)
App.g_kModelPropertyManager.RegisterLocalTemplate(StarTranswarp)
#################################################
BeamArrays = App.WeaponSystemProperty_Create("Beam Arrays")

BeamArrays.SetMaxCondition(250000.000000)
BeamArrays.SetCritical(0)
BeamArrays.SetTargetable(0)
BeamArrays.SetPrimary(1)
BeamArrays.SetPosition(0.000000, 0.000000, 0.000000)
BeamArrays.SetPosition2D(46.000000, 64.000000)
BeamArrays.SetRepairComplexity(4.000000)
BeamArrays.SetDisabledPercentage(0.500000)
BeamArrays.SetRadius(0.100000)
BeamArrays.SetNormalPowerPerSecond(750.000000)
BeamArrays.SetWeaponSystemType(BeamArrays.WST_PHASER)
BeamArrays.SetSingleFire(0)
BeamArrays.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
BeamArrays.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(BeamArrays)
#################################################
EnergyBeamD1 = App.PhaserProperty_Create("Energy Beam D1")

EnergyBeamD1.SetMaxCondition(5000.000000)
EnergyBeamD1.SetCritical(0)
EnergyBeamD1.SetTargetable(1)
EnergyBeamD1.SetPrimary(1)
EnergyBeamD1.SetPosition(1.800000, 1.800000, 2.250000)
EnergyBeamD1.SetPosition2D(0.000000, 0.000000)
EnergyBeamD1.SetRepairComplexity(2.000000)
EnergyBeamD1.SetDisabledPercentage(0.750000)
EnergyBeamD1.SetRadius(0.250000)
EnergyBeamD1.SetDumbfire(0)
EnergyBeamD1.SetWeaponID(0)
EnergyBeamD1.SetGroups(0)
EnergyBeamD1.SetDamageRadiusFactor(0.200000)
EnergyBeamD1.SetIconNum(364)
EnergyBeamD1.SetIconPositionX(11.000000)
EnergyBeamD1.SetIconPositionY(71.000000)
EnergyBeamD1.SetIconAboveShip(1)
EnergyBeamD1.SetFireSound("Borg Phaser")
EnergyBeamD1.SetMaxCharge(2.000000)
EnergyBeamD1.SetMaxDamage(750.000000)
EnergyBeamD1.SetMaxDamageDistance(100.000000)
EnergyBeamD1.SetMinFiringCharge(2.000000)
EnergyBeamD1.SetNormalDischargeRate(1.000000)
EnergyBeamD1.SetRechargeRate(1.500000)
EnergyBeamD1.SetIndicatorIconNum(510)
EnergyBeamD1.SetIndicatorIconPositionX(4.000000)
EnergyBeamD1.SetIndicatorIconPositionY(67.000000)
EnergyBeamD1Forward = App.TGPoint3()
EnergyBeamD1Forward.SetXYZ(0.500000, 0.500000, 0.707107)
EnergyBeamD1Up = App.TGPoint3()
EnergyBeamD1Up.SetXYZ(0.000000, 0.000000, 1.000000)
EnergyBeamD1.SetOrientation(EnergyBeamD1Forward, EnergyBeamD1Up)
EnergyBeamD1.SetWidth(0.010000)
EnergyBeamD1.SetLength(0.010000)
EnergyBeamD1.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamD1.SetArcHeightAngles(-1.745329, 0.872665)
EnergyBeamD1.SetPhaserTextureStart(7)
EnergyBeamD1.SetPhaserTextureEnd(0)
EnergyBeamD1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamD1.SetInnerCoreColor(kColor)
EnergyBeamD1.SetNumSides(6)
EnergyBeamD1.SetMainRadius(0.070000)
EnergyBeamD1.SetTaperRadius(0.010000)
EnergyBeamD1.SetCoreScale(0.500000)
EnergyBeamD1.SetTaperRatio(0.250000)
EnergyBeamD1.SetTaperMinLength(5.000000)
EnergyBeamD1.SetTaperMaxLength(30.000000)
EnergyBeamD1.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamD1.SetPerimeterTile(1.000000)
EnergyBeamD1.SetTextureSpeed(2.500000)
EnergyBeamD1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamD1)
#################################################
EnergyBeamD2 = App.PhaserProperty_Create("Energy Beam D2")

EnergyBeamD2.SetMaxCondition(5000.000000)
EnergyBeamD2.SetCritical(0)
EnergyBeamD2.SetTargetable(1)
EnergyBeamD2.SetPrimary(1)
EnergyBeamD2.SetPosition(-1.800000, 1.800000, 2.240000)
EnergyBeamD2.SetPosition2D(0.000000, 0.000000)
EnergyBeamD2.SetRepairComplexity(2.000000)
EnergyBeamD2.SetDisabledPercentage(0.750000)
EnergyBeamD2.SetRadius(0.250000)
EnergyBeamD2.SetDumbfire(0)
EnergyBeamD2.SetWeaponID(0)
EnergyBeamD2.SetGroups(0)
EnergyBeamD2.SetDamageRadiusFactor(0.200000)
EnergyBeamD2.SetIconNum(364)
EnergyBeamD2.SetIconPositionX(115.000000)
EnergyBeamD2.SetIconPositionY(71.000000)
EnergyBeamD2.SetIconAboveShip(1)
EnergyBeamD2.SetFireSound("Borg Phaser")
EnergyBeamD2.SetMaxCharge(2.000000)
EnergyBeamD2.SetMaxDamage(750.000000)
EnergyBeamD2.SetMaxDamageDistance(100.000000)
EnergyBeamD2.SetMinFiringCharge(2.000000)
EnergyBeamD2.SetNormalDischargeRate(1.000000)
EnergyBeamD2.SetRechargeRate(1.500000)
EnergyBeamD2.SetIndicatorIconNum(510)
EnergyBeamD2.SetIndicatorIconPositionX(108.000000)
EnergyBeamD2.SetIndicatorIconPositionY(67.000000)
EnergyBeamD2Forward = App.TGPoint3()
EnergyBeamD2Forward.SetXYZ(-0.500000, 0.500000, 0.707107)
EnergyBeamD2Up = App.TGPoint3()
EnergyBeamD2Up.SetXYZ(0.000000, 0.000000, 1.000000)
EnergyBeamD2.SetOrientation(EnergyBeamD2Forward, EnergyBeamD2Up)
EnergyBeamD2.SetWidth(0.010000)
EnergyBeamD2.SetLength(0.010000)
EnergyBeamD2.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamD2.SetArcHeightAngles(-1.745329, 0.872665)
EnergyBeamD2.SetPhaserTextureStart(7)
EnergyBeamD2.SetPhaserTextureEnd(0)
EnergyBeamD2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamD2.SetInnerCoreColor(kColor)
EnergyBeamD2.SetNumSides(6)
EnergyBeamD2.SetMainRadius(0.070000)
EnergyBeamD2.SetTaperRadius(0.010000)
EnergyBeamD2.SetCoreScale(0.500000)
EnergyBeamD2.SetTaperRatio(0.250000)
EnergyBeamD2.SetTaperMinLength(5.000000)
EnergyBeamD2.SetTaperMaxLength(30.000000)
EnergyBeamD2.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamD2.SetPerimeterTile(1.000000)
EnergyBeamD2.SetTextureSpeed(2.500000)
EnergyBeamD2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamD2)
#################################################
EnergyBeamD3 = App.PhaserProperty_Create("Energy Beam D3")

EnergyBeamD3.SetMaxCondition(5000.000000)
EnergyBeamD3.SetCritical(0)
EnergyBeamD3.SetTargetable(1)
EnergyBeamD3.SetPrimary(1)
EnergyBeamD3.SetPosition(-1.600000, -1.100000, 2.730000)
EnergyBeamD3.SetPosition2D(0.000000, 0.000000)
EnergyBeamD3.SetRepairComplexity(2.000000)
EnergyBeamD3.SetDisabledPercentage(0.750000)
EnergyBeamD3.SetRadius(0.250000)
EnergyBeamD3.SetDumbfire(0)
EnergyBeamD3.SetWeaponID(0)
EnergyBeamD3.SetGroups(0)
EnergyBeamD3.SetDamageRadiusFactor(0.200000)
EnergyBeamD3.SetIconNum(363)
EnergyBeamD3.SetIconPositionX(11.000000)
EnergyBeamD3.SetIconPositionY(85.000000)
EnergyBeamD3.SetIconAboveShip(1)
EnergyBeamD3.SetFireSound("Borg Phaser")
EnergyBeamD3.SetMaxCharge(2.000000)
EnergyBeamD3.SetMaxDamage(750.000000)
EnergyBeamD3.SetMaxDamageDistance(100.000000)
EnergyBeamD3.SetMinFiringCharge(2.000000)
EnergyBeamD3.SetNormalDischargeRate(1.000000)
EnergyBeamD3.SetRechargeRate(1.500000)
EnergyBeamD3.SetIndicatorIconNum(511)
EnergyBeamD3.SetIndicatorIconPositionX(5.000000)
EnergyBeamD3.SetIndicatorIconPositionY(81.000000)
EnergyBeamD3Forward = App.TGPoint3()
EnergyBeamD3Forward.SetXYZ(-0.500000, -0.500000, 0.707107)
EnergyBeamD3Up = App.TGPoint3()
EnergyBeamD3Up.SetXYZ(0.000000, 0.000000, 1.000000)
EnergyBeamD3.SetOrientation(EnergyBeamD3Forward, EnergyBeamD3Up)
EnergyBeamD3.SetWidth(0.010000)
EnergyBeamD3.SetLength(0.010000)
EnergyBeamD3.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamD3.SetArcHeightAngles(-1.570796, 1.047198)
EnergyBeamD3.SetPhaserTextureStart(7)
EnergyBeamD3.SetPhaserTextureEnd(0)
EnergyBeamD3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamD3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamD3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamD3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamD3.SetInnerCoreColor(kColor)
EnergyBeamD3.SetNumSides(6)
EnergyBeamD3.SetMainRadius(0.070000)
EnergyBeamD3.SetTaperRadius(0.010000)
EnergyBeamD3.SetCoreScale(0.500000)
EnergyBeamD3.SetTaperRatio(0.250000)
EnergyBeamD3.SetTaperMinLength(5.000000)
EnergyBeamD3.SetTaperMaxLength(30.000000)
EnergyBeamD3.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamD3.SetPerimeterTile(1.000000)
EnergyBeamD3.SetTextureSpeed(2.500000)
EnergyBeamD3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamD3)
#################################################
EnergyBeamD4 = App.PhaserProperty_Create("Energy Beam D4")

EnergyBeamD4.SetMaxCondition(5000.000000)
EnergyBeamD4.SetCritical(0)
EnergyBeamD4.SetTargetable(1)
EnergyBeamD4.SetPrimary(1)
EnergyBeamD4.SetPosition(1.550000, -1.550000, 2.540000)
EnergyBeamD4.SetPosition2D(0.000000, 0.000000)
EnergyBeamD4.SetRepairComplexity(2.000000)
EnergyBeamD4.SetDisabledPercentage(0.750000)
EnergyBeamD4.SetRadius(0.250000)
EnergyBeamD4.SetDumbfire(0)
EnergyBeamD4.SetWeaponID(0)
EnergyBeamD4.SetGroups(0)
EnergyBeamD4.SetDamageRadiusFactor(0.200000)
EnergyBeamD4.SetIconNum(363)
EnergyBeamD4.SetIconPositionX(115.000000)
EnergyBeamD4.SetIconPositionY(85.000000)
EnergyBeamD4.SetIconAboveShip(1)
EnergyBeamD4.SetFireSound("Borg Phaser")
EnergyBeamD4.SetMaxCharge(2.000000)
EnergyBeamD4.SetMaxDamage(750.000000)
EnergyBeamD4.SetMaxDamageDistance(100.000000)
EnergyBeamD4.SetMinFiringCharge(2.000000)
EnergyBeamD4.SetNormalDischargeRate(1.000000)
EnergyBeamD4.SetRechargeRate(1.500000)
EnergyBeamD4.SetIndicatorIconNum(511)
EnergyBeamD4.SetIndicatorIconPositionX(109.000000)
EnergyBeamD4.SetIndicatorIconPositionY(81.000000)
EnergyBeamD4Forward = App.TGPoint3()
EnergyBeamD4Forward.SetXYZ(0.500000, -0.500000, 0.707107)
EnergyBeamD4Up = App.TGPoint3()
EnergyBeamD4Up.SetXYZ(0.000000, 0.000000, 1.000000)
EnergyBeamD4.SetOrientation(EnergyBeamD4Forward, EnergyBeamD4Up)
EnergyBeamD4.SetWidth(0.010000)
EnergyBeamD4.SetLength(0.010000)
EnergyBeamD4.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamD4.SetArcHeightAngles(-1.570796, 1.047198)
EnergyBeamD4.SetPhaserTextureStart(7)
EnergyBeamD4.SetPhaserTextureEnd(0)
EnergyBeamD4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamD4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamD4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamD4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamD4.SetInnerCoreColor(kColor)
EnergyBeamD4.SetNumSides(6)
EnergyBeamD4.SetMainRadius(0.070000)
EnergyBeamD4.SetTaperRadius(0.010000)
EnergyBeamD4.SetCoreScale(0.500000)
EnergyBeamD4.SetTaperRatio(0.250000)
EnergyBeamD4.SetTaperMinLength(5.000000)
EnergyBeamD4.SetTaperMaxLength(30.000000)
EnergyBeamD4.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamD4.SetPerimeterTile(1.000000)
EnergyBeamD4.SetTextureSpeed(2.500000)
EnergyBeamD4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamD4)
#################################################
EnergyBeamV1 = App.PhaserProperty_Create("Energy Beam V1")

EnergyBeamV1.SetMaxCondition(5000.000000)
EnergyBeamV1.SetCritical(0)
EnergyBeamV1.SetTargetable(1)
EnergyBeamV1.SetPrimary(1)
EnergyBeamV1.SetPosition(1.700000, 1.500000, -2.500000)
EnergyBeamV1.SetPosition2D(0.000000, 0.000000)
EnergyBeamV1.SetRepairComplexity(2.000000)
EnergyBeamV1.SetDisabledPercentage(0.750000)
EnergyBeamV1.SetRadius(0.250000)
EnergyBeamV1.SetDumbfire(0)
EnergyBeamV1.SetWeaponID(0)
EnergyBeamV1.SetGroups(0)
EnergyBeamV1.SetDamageRadiusFactor(0.200000)
EnergyBeamV1.SetIconNum(361)
EnergyBeamV1.SetIconPositionX(14.000000)
EnergyBeamV1.SetIconPositionY(30.000000)
EnergyBeamV1.SetIconAboveShip(1)
EnergyBeamV1.SetFireSound("Borg Phaser")
EnergyBeamV1.SetMaxCharge(2.000000)
EnergyBeamV1.SetMaxDamage(750.000000)
EnergyBeamV1.SetMaxDamageDistance(100.000000)
EnergyBeamV1.SetMinFiringCharge(2.000000)
EnergyBeamV1.SetNormalDischargeRate(1.000000)
EnergyBeamV1.SetRechargeRate(1.500000)
EnergyBeamV1.SetIndicatorIconNum(508)
EnergyBeamV1.SetIndicatorIconPositionX(12.000000)
EnergyBeamV1.SetIndicatorIconPositionY(29.000000)
EnergyBeamV1Forward = App.TGPoint3()
EnergyBeamV1Forward.SetXYZ(0.500000, 0.500000, -0.707107)
EnergyBeamV1Up = App.TGPoint3()
EnergyBeamV1Up.SetXYZ(0.000000, 0.000000, -1.000000)
EnergyBeamV1.SetOrientation(EnergyBeamV1Forward, EnergyBeamV1Up)
EnergyBeamV1.SetWidth(0.010000)
EnergyBeamV1.SetLength(0.010000)
EnergyBeamV1.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamV1.SetArcHeightAngles(-1.570796, 1.047198)
EnergyBeamV1.SetPhaserTextureStart(7)
EnergyBeamV1.SetPhaserTextureEnd(0)
EnergyBeamV1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamV1.SetInnerCoreColor(kColor)
EnergyBeamV1.SetNumSides(6)
EnergyBeamV1.SetMainRadius(0.070000)
EnergyBeamV1.SetTaperRadius(0.010000)
EnergyBeamV1.SetCoreScale(0.500000)
EnergyBeamV1.SetTaperRatio(0.250000)
EnergyBeamV1.SetTaperMinLength(5.000000)
EnergyBeamV1.SetTaperMaxLength(30.000000)
EnergyBeamV1.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamV1.SetPerimeterTile(1.000000)
EnergyBeamV1.SetTextureSpeed(2.500000)
EnergyBeamV1.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamV1)
#################################################
EnergyBeamV2 = App.PhaserProperty_Create("Energy Beam V2")

EnergyBeamV2.SetMaxCondition(5000.000000)
EnergyBeamV2.SetCritical(0)
EnergyBeamV2.SetTargetable(1)
EnergyBeamV2.SetPrimary(1)
EnergyBeamV2.SetPosition(-1.600000, 1.600000, -2.500000)
EnergyBeamV2.SetPosition2D(0.000000, 0.000000)
EnergyBeamV2.SetRepairComplexity(2.000000)
EnergyBeamV2.SetDisabledPercentage(0.750000)
EnergyBeamV2.SetRadius(0.250000)
EnergyBeamV2.SetDumbfire(0)
EnergyBeamV2.SetWeaponID(0)
EnergyBeamV2.SetGroups(0)
EnergyBeamV2.SetDamageRadiusFactor(0.200000)
EnergyBeamV2.SetIconNum(362)
EnergyBeamV2.SetIconPositionX(128.000000)
EnergyBeamV2.SetIconPositionY(30.000000)
EnergyBeamV2.SetIconAboveShip(1)
EnergyBeamV2.SetFireSound("Borg Phaser")
EnergyBeamV2.SetMaxCharge(2.000000)
EnergyBeamV2.SetMaxDamage(750.000000)
EnergyBeamV2.SetMaxDamageDistance(100.000000)
EnergyBeamV2.SetMinFiringCharge(2.000000)
EnergyBeamV2.SetNormalDischargeRate(1.000000)
EnergyBeamV2.SetRechargeRate(1.500000)
EnergyBeamV2.SetIndicatorIconNum(509)
EnergyBeamV2.SetIndicatorIconPositionX(126.000000)
EnergyBeamV2.SetIndicatorIconPositionY(29.000000)
EnergyBeamV2Forward = App.TGPoint3()
EnergyBeamV2Forward.SetXYZ(-0.500000, 0.500000, -0.707107)
EnergyBeamV2Up = App.TGPoint3()
EnergyBeamV2Up.SetXYZ(0.000000, 0.000000, -1.000000)
EnergyBeamV2.SetOrientation(EnergyBeamV2Forward, EnergyBeamV2Up)
EnergyBeamV2.SetWidth(0.010000)
EnergyBeamV2.SetLength(0.010000)
EnergyBeamV2.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamV2.SetArcHeightAngles(-1.570796, 1.047198)
EnergyBeamV2.SetPhaserTextureStart(7)
EnergyBeamV2.SetPhaserTextureEnd(0)
EnergyBeamV2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamV2.SetInnerCoreColor(kColor)
EnergyBeamV2.SetNumSides(6)
EnergyBeamV2.SetMainRadius(0.070000)
EnergyBeamV2.SetTaperRadius(0.010000)
EnergyBeamV2.SetCoreScale(0.500000)
EnergyBeamV2.SetTaperRatio(0.250000)
EnergyBeamV2.SetTaperMinLength(5.000000)
EnergyBeamV2.SetTaperMaxLength(30.000000)
EnergyBeamV2.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamV2.SetPerimeterTile(1.000000)
EnergyBeamV2.SetTextureSpeed(2.500000)
EnergyBeamV2.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamV2)
#################################################
EnergyBeamV3 = App.PhaserProperty_Create("Energy Beam V3")

EnergyBeamV3.SetMaxCondition(5000.000000)
EnergyBeamV3.SetCritical(0)
EnergyBeamV3.SetTargetable(1)
EnergyBeamV3.SetPrimary(1)
EnergyBeamV3.SetPosition(-1.600000, -1.600000, -2.470000)
EnergyBeamV3.SetPosition2D(0.000000, 0.000000)
EnergyBeamV3.SetRepairComplexity(2.000000)
EnergyBeamV3.SetDisabledPercentage(0.750000)
EnergyBeamV3.SetRadius(0.250000)
EnergyBeamV3.SetDumbfire(0)
EnergyBeamV3.SetWeaponID(0)
EnergyBeamV3.SetGroups(0)
EnergyBeamV3.SetDamageRadiusFactor(0.200000)
EnergyBeamV3.SetIconNum(361)
EnergyBeamV3.SetIconPositionX(14.000000)
EnergyBeamV3.SetIconPositionY(95.000000)
EnergyBeamV3.SetIconAboveShip(1)
EnergyBeamV3.SetFireSound("Borg Phaser")
EnergyBeamV3.SetMaxCharge(2.000000)
EnergyBeamV3.SetMaxDamage(750.000000)
EnergyBeamV3.SetMaxDamageDistance(100.000000)
EnergyBeamV3.SetMinFiringCharge(2.000000)
EnergyBeamV3.SetNormalDischargeRate(1.000000)
EnergyBeamV3.SetRechargeRate(1.500000)
EnergyBeamV3.SetIndicatorIconNum(508)
EnergyBeamV3.SetIndicatorIconPositionX(12.000000)
EnergyBeamV3.SetIndicatorIconPositionY(93.000000)
EnergyBeamV3Forward = App.TGPoint3()
EnergyBeamV3Forward.SetXYZ(-0.500000, -0.500000, -0.707107)
EnergyBeamV3Up = App.TGPoint3()
EnergyBeamV3Up.SetXYZ(0.000000, 0.000000, -1.000000)
EnergyBeamV3.SetOrientation(EnergyBeamV3Forward, EnergyBeamV3Up)
EnergyBeamV3.SetWidth(0.010000)
EnergyBeamV3.SetLength(0.010000)
EnergyBeamV3.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamV3.SetArcHeightAngles(-1.570796, 1.047198)
EnergyBeamV3.SetPhaserTextureStart(7)
EnergyBeamV3.SetPhaserTextureEnd(0)
EnergyBeamV3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamV3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamV3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamV3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamV3.SetInnerCoreColor(kColor)
EnergyBeamV3.SetNumSides(6)
EnergyBeamV3.SetMainRadius(0.070000)
EnergyBeamV3.SetTaperRadius(0.010000)
EnergyBeamV3.SetCoreScale(0.500000)
EnergyBeamV3.SetTaperRatio(0.250000)
EnergyBeamV3.SetTaperMinLength(5.000000)
EnergyBeamV3.SetTaperMaxLength(30.000000)
EnergyBeamV3.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamV3.SetPerimeterTile(1.000000)
EnergyBeamV3.SetTextureSpeed(2.500000)
EnergyBeamV3.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamV3)
#################################################
EnergyBeamV4 = App.PhaserProperty_Create("Energy Beam V4")

EnergyBeamV4.SetMaxCondition(5000.000000)
EnergyBeamV4.SetCritical(0)
EnergyBeamV4.SetTargetable(1)
EnergyBeamV4.SetPrimary(1)
EnergyBeamV4.SetPosition(1.300000, -1.300000, -2.800000)
EnergyBeamV4.SetPosition2D(0.000000, 0.000000)
EnergyBeamV4.SetRepairComplexity(2.000000)
EnergyBeamV4.SetDisabledPercentage(0.750000)
EnergyBeamV4.SetRadius(0.250000)
EnergyBeamV4.SetDumbfire(0)
EnergyBeamV4.SetWeaponID(0)
EnergyBeamV4.SetGroups(0)
EnergyBeamV4.SetDamageRadiusFactor(0.200000)
EnergyBeamV4.SetIconNum(362)
EnergyBeamV4.SetIconPositionX(128.000000)
EnergyBeamV4.SetIconPositionY(95.000000)
EnergyBeamV4.SetIconAboveShip(1)
EnergyBeamV4.SetFireSound("Borg Phaser")
EnergyBeamV4.SetMaxCharge(2.000000)
EnergyBeamV4.SetMaxDamage(750.000000)
EnergyBeamV4.SetMaxDamageDistance(100.000000)
EnergyBeamV4.SetMinFiringCharge(2.000000)
EnergyBeamV4.SetNormalDischargeRate(1.000000)
EnergyBeamV4.SetRechargeRate(1.500000)
EnergyBeamV4.SetIndicatorIconNum(509)
EnergyBeamV4.SetIndicatorIconPositionX(126.000000)
EnergyBeamV4.SetIndicatorIconPositionY(94.000000)
EnergyBeamV4Forward = App.TGPoint3()
EnergyBeamV4Forward.SetXYZ(0.500000, -0.500000, -0.707107)
EnergyBeamV4Up = App.TGPoint3()
EnergyBeamV4Up.SetXYZ(0.000000, 0.000000, -1.000000)
EnergyBeamV4.SetOrientation(EnergyBeamV4Forward, EnergyBeamV4Up)
EnergyBeamV4.SetWidth(0.010000)
EnergyBeamV4.SetLength(0.010000)
EnergyBeamV4.SetArcWidthAngles(-1.308997, 1.308997)
EnergyBeamV4.SetArcHeightAngles(-1.570796, 1.047198)
EnergyBeamV4.SetPhaserTextureStart(7)
EnergyBeamV4.SetPhaserTextureEnd(0)
EnergyBeamV4.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.501961, 1.000000, 0.501961, 1.000000)
EnergyBeamV4.SetOuterShellColor(kColor)
kColor.SetRGBA(0.501961, 1.000000, 0.000000, 1.000000)
EnergyBeamV4.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
EnergyBeamV4.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
EnergyBeamV4.SetInnerCoreColor(kColor)
EnergyBeamV4.SetNumSides(6)
EnergyBeamV4.SetMainRadius(0.070000)
EnergyBeamV4.SetTaperRadius(0.010000)
EnergyBeamV4.SetCoreScale(0.500000)
EnergyBeamV4.SetTaperRatio(0.250000)
EnergyBeamV4.SetTaperMinLength(5.000000)
EnergyBeamV4.SetTaperMaxLength(30.000000)
EnergyBeamV4.SetLengthTextureTilePerUnit(0.500000)
EnergyBeamV4.SetPerimeterTile(1.000000)
EnergyBeamV4.SetTextureSpeed(2.500000)
EnergyBeamV4.SetTextureName("data/CREnergyBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(EnergyBeamV4)
#################################################
PlasmaProjectorD1 = App.PhaserProperty_Create("Plasma Projector D1")

PlasmaProjectorD1.SetMaxCondition(7500.000000)
PlasmaProjectorD1.SetCritical(0)
PlasmaProjectorD1.SetTargetable(1)
PlasmaProjectorD1.SetPrimary(1)
PlasmaProjectorD1.SetPosition(0.000000, 1.800000, 2.880000)
PlasmaProjectorD1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorD1.SetRepairComplexity(1.000000)
PlasmaProjectorD1.SetDisabledPercentage(0.500000)
PlasmaProjectorD1.SetRadius(0.250000)
PlasmaProjectorD1.SetDumbfire(0)
PlasmaProjectorD1.SetWeaponID(0)
PlasmaProjectorD1.SetGroups(0)
PlasmaProjectorD1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorD1.SetIconNum(364)
PlasmaProjectorD1.SetIconPositionX(63.000000)
PlasmaProjectorD1.SetIconPositionY(71.000000)
PlasmaProjectorD1.SetIconAboveShip(1)
PlasmaProjectorD1.SetFireSound("Projector")
PlasmaProjectorD1.SetMaxCharge(2.000000)
PlasmaProjectorD1.SetMaxDamage(1000.000000)
PlasmaProjectorD1.SetMaxDamageDistance(100.000000)
PlasmaProjectorD1.SetMinFiringCharge(2.000000)
PlasmaProjectorD1.SetNormalDischargeRate(1.000000)
PlasmaProjectorD1.SetRechargeRate(1.500000)
PlasmaProjectorD1.SetIndicatorIconNum(510)
PlasmaProjectorD1.SetIndicatorIconPositionX(56.000000)
PlasmaProjectorD1.SetIndicatorIconPositionY(67.000000)
PlasmaProjectorD1Forward = App.TGPoint3()
PlasmaProjectorD1Forward.SetXYZ(0.000000, 0.500000, 0.866026)
PlasmaProjectorD1Up = App.TGPoint3()
PlasmaProjectorD1Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorD1.SetOrientation(PlasmaProjectorD1Forward, PlasmaProjectorD1Up)
PlasmaProjectorD1.SetWidth(0.010000)
PlasmaProjectorD1.SetLength(0.010000)
PlasmaProjectorD1.SetArcWidthAngles(-1.308997, 1.308997)
PlasmaProjectorD1.SetArcHeightAngles(-1.570796, 1.221731)
PlasmaProjectorD1.SetPhaserTextureStart(0)
PlasmaProjectorD1.SetPhaserTextureEnd(0)
PlasmaProjectorD1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorD1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorD1.SetInnerCoreColor(kColor)
PlasmaProjectorD1.SetNumSides(6)
PlasmaProjectorD1.SetMainRadius(0.090000)
PlasmaProjectorD1.SetTaperRadius(0.010000)
PlasmaProjectorD1.SetCoreScale(0.500000)
PlasmaProjectorD1.SetTaperRatio(0.250000)
PlasmaProjectorD1.SetTaperMinLength(5.000000)
PlasmaProjectorD1.SetTaperMaxLength(30.000000)
PlasmaProjectorD1.SetLengthTextureTilePerUnit(0.010000)
PlasmaProjectorD1.SetPerimeterTile(1.000000)
PlasmaProjectorD1.SetTextureSpeed(2.500000)
PlasmaProjectorD1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorD1)
#################################################
PlasmaProjectorD2 = App.PhaserProperty_Create("Plasma Projector D2")

PlasmaProjectorD2.SetMaxCondition(7500.000000)
PlasmaProjectorD2.SetCritical(0)
PlasmaProjectorD2.SetTargetable(1)
PlasmaProjectorD2.SetPrimary(1)
PlasmaProjectorD2.SetPosition(-1.200000, -1.000000, 2.950000)
PlasmaProjectorD2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorD2.SetRepairComplexity(1.000000)
PlasmaProjectorD2.SetDisabledPercentage(0.500000)
PlasmaProjectorD2.SetRadius(0.250000)
PlasmaProjectorD2.SetDumbfire(0)
PlasmaProjectorD2.SetWeaponID(0)
PlasmaProjectorD2.SetGroups(0)
PlasmaProjectorD2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorD2.SetIconNum(330)
PlasmaProjectorD2.SetIconPositionX(24.000000)
PlasmaProjectorD2.SetIconPositionY(26.000000)
PlasmaProjectorD2.SetIconAboveShip(1)
PlasmaProjectorD2.SetFireSound("Projector")
PlasmaProjectorD2.SetMaxCharge(2.000000)
PlasmaProjectorD2.SetMaxDamage(1000.000000)
PlasmaProjectorD2.SetMaxDamageDistance(100.000000)
PlasmaProjectorD2.SetMinFiringCharge(2.000000)
PlasmaProjectorD2.SetNormalDischargeRate(1.000000)
PlasmaProjectorD2.SetRechargeRate(1.500000)
PlasmaProjectorD2.SetIndicatorIconNum(501)
PlasmaProjectorD2.SetIndicatorIconPositionX(27.000000)
PlasmaProjectorD2.SetIndicatorIconPositionY(29.000000)
PlasmaProjectorD2Forward = App.TGPoint3()
PlasmaProjectorD2Forward.SetXYZ(-0.433013, -0.250000, 0.866025)
PlasmaProjectorD2Up = App.TGPoint3()
PlasmaProjectorD2Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorD2.SetOrientation(PlasmaProjectorD2Forward, PlasmaProjectorD2Up)
PlasmaProjectorD2.SetWidth(0.010000)
PlasmaProjectorD2.SetLength(0.010000)
PlasmaProjectorD2.SetArcWidthAngles(-1.308997, 1.308997)
PlasmaProjectorD2.SetArcHeightAngles(-1.570796, 1.221731)
PlasmaProjectorD2.SetPhaserTextureStart(0)
PlasmaProjectorD2.SetPhaserTextureEnd(0)
PlasmaProjectorD2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorD2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorD2.SetInnerCoreColor(kColor)
PlasmaProjectorD2.SetNumSides(6)
PlasmaProjectorD2.SetMainRadius(0.090000)
PlasmaProjectorD2.SetTaperRadius(0.010000)
PlasmaProjectorD2.SetCoreScale(0.500000)
PlasmaProjectorD2.SetTaperRatio(0.250000)
PlasmaProjectorD2.SetTaperMinLength(5.000000)
PlasmaProjectorD2.SetTaperMaxLength(30.000000)
PlasmaProjectorD2.SetLengthTextureTilePerUnit(0.010000)
PlasmaProjectorD2.SetPerimeterTile(1.000000)
PlasmaProjectorD2.SetTextureSpeed(2.500000)
PlasmaProjectorD2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorD2)
#################################################
PlasmaProjectorD3 = App.PhaserProperty_Create("Plasma Projector D3")

PlasmaProjectorD3.SetMaxCondition(7500.000000)
PlasmaProjectorD3.SetCritical(0)
PlasmaProjectorD3.SetTargetable(1)
PlasmaProjectorD3.SetPrimary(1)
PlasmaProjectorD3.SetPosition(1.100000, -0.900000, 3.040000)
PlasmaProjectorD3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorD3.SetRepairComplexity(1.000000)
PlasmaProjectorD3.SetDisabledPercentage(0.500000)
PlasmaProjectorD3.SetRadius(0.250000)
PlasmaProjectorD3.SetDumbfire(0)
PlasmaProjectorD3.SetWeaponID(0)
PlasmaProjectorD3.SetGroups(0)
PlasmaProjectorD3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorD3.SetIconNum(350)
PlasmaProjectorD3.SetIconPositionX(79.000000)
PlasmaProjectorD3.SetIconPositionY(26.000000)
PlasmaProjectorD3.SetIconAboveShip(1)
PlasmaProjectorD3.SetFireSound("Projector")
PlasmaProjectorD3.SetMaxCharge(2.000000)
PlasmaProjectorD3.SetMaxDamage(1000.000000)
PlasmaProjectorD3.SetMaxDamageDistance(100.000000)
PlasmaProjectorD3.SetMinFiringCharge(2.000000)
PlasmaProjectorD3.SetNormalDischargeRate(1.000000)
PlasmaProjectorD3.SetRechargeRate(1.500000)
PlasmaProjectorD3.SetIndicatorIconNum(502)
PlasmaProjectorD3.SetIndicatorIconPositionX(86.000000)
PlasmaProjectorD3.SetIndicatorIconPositionY(29.000000)
PlasmaProjectorD3Forward = App.TGPoint3()
PlasmaProjectorD3Forward.SetXYZ(0.433013, -0.250000, 0.866025)
PlasmaProjectorD3Up = App.TGPoint3()
PlasmaProjectorD3Up.SetXYZ(0.000000, 0.000000, 1.000000)
PlasmaProjectorD3.SetOrientation(PlasmaProjectorD3Forward, PlasmaProjectorD3Up)
PlasmaProjectorD3.SetWidth(0.010000)
PlasmaProjectorD3.SetLength(0.010000)
PlasmaProjectorD3.SetArcWidthAngles(-1.308997, 1.308997)
PlasmaProjectorD3.SetArcHeightAngles(-1.570796, 1.221731)
PlasmaProjectorD3.SetPhaserTextureStart(0)
PlasmaProjectorD3.SetPhaserTextureEnd(0)
PlasmaProjectorD3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorD3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorD3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorD3.SetInnerCoreColor(kColor)
PlasmaProjectorD3.SetNumSides(6)
PlasmaProjectorD3.SetMainRadius(0.090000)
PlasmaProjectorD3.SetTaperRadius(0.010000)
PlasmaProjectorD3.SetCoreScale(0.500000)
PlasmaProjectorD3.SetTaperRatio(0.250000)
PlasmaProjectorD3.SetTaperMinLength(5.000000)
PlasmaProjectorD3.SetTaperMaxLength(30.000000)
PlasmaProjectorD3.SetLengthTextureTilePerUnit(0.010000)
PlasmaProjectorD3.SetPerimeterTile(1.000000)
PlasmaProjectorD3.SetTextureSpeed(2.500000)
PlasmaProjectorD3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorD3)
#################################################
PlasmaProjectorV1 = App.PhaserProperty_Create("Plasma Projector V1")

PlasmaProjectorV1.SetMaxCondition(7500.000000)
PlasmaProjectorV1.SetCritical(0)
PlasmaProjectorV1.SetTargetable(1)
PlasmaProjectorV1.SetPrimary(1)
PlasmaProjectorV1.SetPosition(0.000000, 1.500000, -3.050000)
PlasmaProjectorV1.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorV1.SetRepairComplexity(1.000000)
PlasmaProjectorV1.SetDisabledPercentage(0.500000)
PlasmaProjectorV1.SetRadius(0.250000)
PlasmaProjectorV1.SetDumbfire(0)
PlasmaProjectorV1.SetWeaponID(0)
PlasmaProjectorV1.SetGroups(0)
PlasmaProjectorV1.SetDamageRadiusFactor(0.350000)
PlasmaProjectorV1.SetIconNum(363)
PlasmaProjectorV1.SetIconPositionX(63.000000)
PlasmaProjectorV1.SetIconPositionY(85.000000)
PlasmaProjectorV1.SetIconAboveShip(1)
PlasmaProjectorV1.SetFireSound("Projector")
PlasmaProjectorV1.SetMaxCharge(2.000000)
PlasmaProjectorV1.SetMaxDamage(1000.000000)
PlasmaProjectorV1.SetMaxDamageDistance(100.000000)
PlasmaProjectorV1.SetMinFiringCharge(2.000000)
PlasmaProjectorV1.SetNormalDischargeRate(1.000000)
PlasmaProjectorV1.SetRechargeRate(1.500000)
PlasmaProjectorV1.SetIndicatorIconNum(511)
PlasmaProjectorV1.SetIndicatorIconPositionX(57.000000)
PlasmaProjectorV1.SetIndicatorIconPositionY(81.000000)
PlasmaProjectorV1Forward = App.TGPoint3()
PlasmaProjectorV1Forward.SetXYZ(0.000000, 0.500000, -0.866026)
PlasmaProjectorV1Up = App.TGPoint3()
PlasmaProjectorV1Up.SetXYZ(0.000000, 0.000000, -1.000000)
PlasmaProjectorV1.SetOrientation(PlasmaProjectorV1Forward, PlasmaProjectorV1Up)
PlasmaProjectorV1.SetWidth(0.010000)
PlasmaProjectorV1.SetLength(0.010000)
PlasmaProjectorV1.SetArcWidthAngles(-1.308997, 1.308997)
PlasmaProjectorV1.SetArcHeightAngles(-1.570796, 1.221731)
PlasmaProjectorV1.SetPhaserTextureStart(0)
PlasmaProjectorV1.SetPhaserTextureEnd(0)
PlasmaProjectorV1.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorV1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorV1.SetInnerCoreColor(kColor)
PlasmaProjectorV1.SetNumSides(6)
PlasmaProjectorV1.SetMainRadius(0.090000)
PlasmaProjectorV1.SetTaperRadius(0.010000)
PlasmaProjectorV1.SetCoreScale(0.500000)
PlasmaProjectorV1.SetTaperRatio(0.250000)
PlasmaProjectorV1.SetTaperMinLength(5.000000)
PlasmaProjectorV1.SetTaperMaxLength(30.000000)
PlasmaProjectorV1.SetLengthTextureTilePerUnit(0.010000)
PlasmaProjectorV1.SetPerimeterTile(1.000000)
PlasmaProjectorV1.SetTextureSpeed(2.500000)
PlasmaProjectorV1.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorV1)
#################################################
PlasmaProjectorV2 = App.PhaserProperty_Create("Plasma Projector V2")

PlasmaProjectorV2.SetMaxCondition(7500.000000)
PlasmaProjectorV2.SetCritical(0)
PlasmaProjectorV2.SetTargetable(1)
PlasmaProjectorV2.SetPrimary(1)
PlasmaProjectorV2.SetPosition(-1.200000, -1.000000, -2.970000)
PlasmaProjectorV2.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorV2.SetRepairComplexity(1.000000)
PlasmaProjectorV2.SetDisabledPercentage(0.500000)
PlasmaProjectorV2.SetRadius(0.250000)
PlasmaProjectorV2.SetDumbfire(0)
PlasmaProjectorV2.SetWeaponID(0)
PlasmaProjectorV2.SetGroups(0)
PlasmaProjectorV2.SetDamageRadiusFactor(0.350000)
PlasmaProjectorV2.SetIconNum(335)
PlasmaProjectorV2.SetIconPositionX(24.000000)
PlasmaProjectorV2.SetIconPositionY(116.000000)
PlasmaProjectorV2.SetIconAboveShip(1)
PlasmaProjectorV2.SetFireSound("Projector")
PlasmaProjectorV2.SetMaxCharge(2.000000)
PlasmaProjectorV2.SetMaxDamage(1000.000000)
PlasmaProjectorV2.SetMaxDamageDistance(100.000000)
PlasmaProjectorV2.SetMinFiringCharge(2.000000)
PlasmaProjectorV2.SetNormalDischargeRate(1.000000)
PlasmaProjectorV2.SetRechargeRate(1.500000)
PlasmaProjectorV2.SetIndicatorIconNum(511)
PlasmaProjectorV2.SetIndicatorIconPositionX(37.000000)
PlasmaProjectorV2.SetIndicatorIconPositionY(127.000000)
PlasmaProjectorV2Forward = App.TGPoint3()
PlasmaProjectorV2Forward.SetXYZ(-0.433013, -0.250000, -0.866025)
PlasmaProjectorV2Up = App.TGPoint3()
PlasmaProjectorV2Up.SetXYZ(0.000000, 0.000000, -1.000000)
PlasmaProjectorV2.SetOrientation(PlasmaProjectorV2Forward, PlasmaProjectorV2Up)
PlasmaProjectorV2.SetWidth(0.010000)
PlasmaProjectorV2.SetLength(0.010000)
PlasmaProjectorV2.SetArcWidthAngles(-1.308997, 1.308997)
PlasmaProjectorV2.SetArcHeightAngles(-1.570796, 1.221731)
PlasmaProjectorV2.SetPhaserTextureStart(0)
PlasmaProjectorV2.SetPhaserTextureEnd(0)
PlasmaProjectorV2.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorV2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorV2.SetInnerCoreColor(kColor)
PlasmaProjectorV2.SetNumSides(6)
PlasmaProjectorV2.SetMainRadius(0.090000)
PlasmaProjectorV2.SetTaperRadius(0.010000)
PlasmaProjectorV2.SetCoreScale(0.500000)
PlasmaProjectorV2.SetTaperRatio(0.250000)
PlasmaProjectorV2.SetTaperMinLength(5.000000)
PlasmaProjectorV2.SetTaperMaxLength(30.000000)
PlasmaProjectorV2.SetLengthTextureTilePerUnit(0.010000)
PlasmaProjectorV2.SetPerimeterTile(1.000000)
PlasmaProjectorV2.SetTextureSpeed(2.500000)
PlasmaProjectorV2.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorV2)
#################################################
PlasmaProjectorV3 = App.PhaserProperty_Create("Plasma Projector V3")

PlasmaProjectorV3.SetMaxCondition(7500.000000)
PlasmaProjectorV3.SetCritical(0)
PlasmaProjectorV3.SetTargetable(1)
PlasmaProjectorV3.SetPrimary(1)
PlasmaProjectorV3.SetPosition(1.200000, -1.000000, -2.980000)
PlasmaProjectorV3.SetPosition2D(0.000000, 0.000000)
PlasmaProjectorV3.SetRepairComplexity(1.000000)
PlasmaProjectorV3.SetDisabledPercentage(0.500000)
PlasmaProjectorV3.SetRadius(0.250000)
PlasmaProjectorV3.SetDumbfire(0)
PlasmaProjectorV3.SetWeaponID(0)
PlasmaProjectorV3.SetGroups(0)
PlasmaProjectorV3.SetDamageRadiusFactor(0.350000)
PlasmaProjectorV3.SetIconNum(355)
PlasmaProjectorV3.SetIconPositionX(79.000000)
PlasmaProjectorV3.SetIconPositionY(116.000000)
PlasmaProjectorV3.SetIconAboveShip(1)
PlasmaProjectorV3.SetFireSound("Projector")
PlasmaProjectorV3.SetMaxCharge(2.000000)
PlasmaProjectorV3.SetMaxDamage(1000.000000)
PlasmaProjectorV3.SetMaxDamageDistance(100.000000)
PlasmaProjectorV3.SetMinFiringCharge(2.000000)
PlasmaProjectorV3.SetNormalDischargeRate(1.000000)
PlasmaProjectorV3.SetRechargeRate(1.500000)
PlasmaProjectorV3.SetIndicatorIconNum(511)
PlasmaProjectorV3.SetIndicatorIconPositionX(76.000000)
PlasmaProjectorV3.SetIndicatorIconPositionY(127.000000)
PlasmaProjectorV3Forward = App.TGPoint3()
PlasmaProjectorV3Forward.SetXYZ(0.433013, -0.250000, -0.866025)
PlasmaProjectorV3Up = App.TGPoint3()
PlasmaProjectorV3Up.SetXYZ(0.000000, 0.000000, -1.000000)
PlasmaProjectorV3.SetOrientation(PlasmaProjectorV3Forward, PlasmaProjectorV3Up)
PlasmaProjectorV3.SetWidth(0.010000)
PlasmaProjectorV3.SetLength(0.010000)
PlasmaProjectorV3.SetArcWidthAngles(-1.308997, 1.308997)
PlasmaProjectorV3.SetArcHeightAngles(-1.570796, 1.221731)
PlasmaProjectorV3.SetPhaserTextureStart(0)
PlasmaProjectorV3.SetPhaserTextureEnd(0)
PlasmaProjectorV3.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.320000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV3.SetOuterShellColor(kColor)
kColor.SetRGBA(0.220000, 1.000000, 0.000000, 1.000000)
PlasmaProjectorV3.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.501961, 1.000000)
PlasmaProjectorV3.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.247059, 1.000000)
PlasmaProjectorV3.SetInnerCoreColor(kColor)
PlasmaProjectorV3.SetNumSides(6)
PlasmaProjectorV3.SetMainRadius(0.090000)
PlasmaProjectorV3.SetTaperRadius(0.010000)
PlasmaProjectorV3.SetCoreScale(0.500000)
PlasmaProjectorV3.SetTaperRatio(0.250000)
PlasmaProjectorV3.SetTaperMinLength(5.000000)
PlasmaProjectorV3.SetTaperMaxLength(30.000000)
PlasmaProjectorV3.SetLengthTextureTilePerUnit(0.010000)
PlasmaProjectorV3.SetPerimeterTile(1.000000)
PlasmaProjectorV3.SetTextureSpeed(2.500000)
PlasmaProjectorV3.SetTextureName("data/CRPlasmaProjector.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaProjectorV3)
#################################################
CuttingBeamFP = App.PhaserProperty_Create("Cutting Beam FP")

CuttingBeamFP.SetMaxCondition(10000.000000)
CuttingBeamFP.SetCritical(0)
CuttingBeamFP.SetTargetable(1)
CuttingBeamFP.SetPrimary(1)
CuttingBeamFP.SetPosition(-2.450000, 2.300000, 0.000000)
CuttingBeamFP.SetPosition2D(0.000000, 0.000000)
CuttingBeamFP.SetRepairComplexity(1.000000)
CuttingBeamFP.SetDisabledPercentage(0.500000)
CuttingBeamFP.SetRadius(0.250000)
CuttingBeamFP.SetDumbfire(0)
CuttingBeamFP.SetWeaponID(0)
CuttingBeamFP.SetGroups(0)
CuttingBeamFP.SetDamageRadiusFactor(0.500000)
CuttingBeamFP.SetIconNum(330)
CuttingBeamFP.SetIconPositionX(24.000000)
CuttingBeamFP.SetIconPositionY(39.000000)
CuttingBeamFP.SetIconAboveShip(1)
CuttingBeamFP.SetFireSound("Cutting Beam")
CuttingBeamFP.SetMaxCharge(2.000000)
CuttingBeamFP.SetMaxDamage(1250.000000)
CuttingBeamFP.SetMaxDamageDistance(200.000000)
CuttingBeamFP.SetMinFiringCharge(2.000000)
CuttingBeamFP.SetNormalDischargeRate(1.000000)
CuttingBeamFP.SetRechargeRate(1.500000)
CuttingBeamFP.SetIndicatorIconNum(501)
CuttingBeamFP.SetIndicatorIconPositionX(27.000000)
CuttingBeamFP.SetIndicatorIconPositionY(42.000000)
CuttingBeamFPForward = App.TGPoint3()
CuttingBeamFPForward.SetXYZ(-0.707107, 0.707107, 0.000000)
CuttingBeamFPUp = App.TGPoint3()
CuttingBeamFPUp.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamFP.SetOrientation(CuttingBeamFPForward, CuttingBeamFPUp)
CuttingBeamFP.SetWidth(0.010000)
CuttingBeamFP.SetLength(0.010000)
CuttingBeamFP.SetArcWidthAngles(-1.178097, 1.178097)
CuttingBeamFP.SetArcHeightAngles(-1.178097, 1.178097)
CuttingBeamFP.SetPhaserTextureStart(0)
CuttingBeamFP.SetPhaserTextureEnd(0)
CuttingBeamFP.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFP.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFP.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFP.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFP.SetInnerCoreColor(kColor)
CuttingBeamFP.SetNumSides(12)
CuttingBeamFP.SetMainRadius(0.100000)
CuttingBeamFP.SetTaperRadius(0.010000)
CuttingBeamFP.SetCoreScale(0.500000)
CuttingBeamFP.SetTaperRatio(0.250000)
CuttingBeamFP.SetTaperMinLength(5.000000)
CuttingBeamFP.SetTaperMaxLength(30.000000)
CuttingBeamFP.SetLengthTextureTilePerUnit(0.010000)
CuttingBeamFP.SetPerimeterTile(1.000000)
CuttingBeamFP.SetTextureSpeed(2.500000)
CuttingBeamFP.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamFP)
#################################################
CuttingBeamFS = App.PhaserProperty_Create("Cutting Beam FS")

CuttingBeamFS.SetMaxCondition(10000.000000)
CuttingBeamFS.SetCritical(0)
CuttingBeamFS.SetTargetable(1)
CuttingBeamFS.SetPrimary(1)
CuttingBeamFS.SetPosition(2.070000, 2.630000, 0.000000)
CuttingBeamFS.SetPosition2D(0.000000, 0.000000)
CuttingBeamFS.SetRepairComplexity(1.000000)
CuttingBeamFS.SetDisabledPercentage(0.500000)
CuttingBeamFS.SetRadius(0.250000)
CuttingBeamFS.SetDumbfire(0)
CuttingBeamFS.SetWeaponID(0)
CuttingBeamFS.SetGroups(0)
CuttingBeamFS.SetDamageRadiusFactor(0.500000)
CuttingBeamFS.SetIconNum(350)
CuttingBeamFS.SetIconPositionX(79.000000)
CuttingBeamFS.SetIconPositionY(39.000000)
CuttingBeamFS.SetIconAboveShip(1)
CuttingBeamFS.SetFireSound("Cutting Beam")
CuttingBeamFS.SetMaxCharge(2.000000)
CuttingBeamFS.SetMaxDamage(1250.000000)
CuttingBeamFS.SetMaxDamageDistance(200.000000)
CuttingBeamFS.SetMinFiringCharge(2.000000)
CuttingBeamFS.SetNormalDischargeRate(1.000000)
CuttingBeamFS.SetRechargeRate(1.500000)
CuttingBeamFS.SetIndicatorIconNum(502)
CuttingBeamFS.SetIndicatorIconPositionX(86.000000)
CuttingBeamFS.SetIndicatorIconPositionY(42.000000)
CuttingBeamFSForward = App.TGPoint3()
CuttingBeamFSForward.SetXYZ(0.707107, 0.707107, 0.000000)
CuttingBeamFSUp = App.TGPoint3()
CuttingBeamFSUp.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamFS.SetOrientation(CuttingBeamFSForward, CuttingBeamFSUp)
CuttingBeamFS.SetWidth(0.010000)
CuttingBeamFS.SetLength(0.010000)
CuttingBeamFS.SetArcWidthAngles(-1.178097, 1.178097)
CuttingBeamFS.SetArcHeightAngles(-1.178097, 1.178097)
CuttingBeamFS.SetPhaserTextureStart(0)
CuttingBeamFS.SetPhaserTextureEnd(0)
CuttingBeamFS.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFS.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFS.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFS.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamFS.SetInnerCoreColor(kColor)
CuttingBeamFS.SetNumSides(12)
CuttingBeamFS.SetMainRadius(0.100000)
CuttingBeamFS.SetTaperRadius(0.010000)
CuttingBeamFS.SetCoreScale(0.500000)
CuttingBeamFS.SetTaperRatio(0.250000)
CuttingBeamFS.SetTaperMinLength(5.000000)
CuttingBeamFS.SetTaperMaxLength(30.000000)
CuttingBeamFS.SetLengthTextureTilePerUnit(0.010000)
CuttingBeamFS.SetPerimeterTile(1.000000)
CuttingBeamFS.SetTextureSpeed(2.500000)
CuttingBeamFS.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamFS)
#################################################
CuttingBeamAP = App.PhaserProperty_Create("Cutting Beam AP")

CuttingBeamAP.SetMaxCondition(10000.000000)
CuttingBeamAP.SetCritical(0)
CuttingBeamAP.SetTargetable(1)
CuttingBeamAP.SetPrimary(1)
CuttingBeamAP.SetPosition(-2.600000, -2.070000, 0.000000)
CuttingBeamAP.SetPosition2D(0.000000, 0.000000)
CuttingBeamAP.SetRepairComplexity(1.000000)
CuttingBeamAP.SetDisabledPercentage(0.500000)
CuttingBeamAP.SetRadius(0.250000)
CuttingBeamAP.SetDumbfire(0)
CuttingBeamAP.SetWeaponID(0)
CuttingBeamAP.SetGroups(0)
CuttingBeamAP.SetDamageRadiusFactor(0.500000)
CuttingBeamAP.SetIconNum(335)
CuttingBeamAP.SetIconPositionX(24.000000)
CuttingBeamAP.SetIconPositionY(103.000000)
CuttingBeamAP.SetIconAboveShip(1)
CuttingBeamAP.SetFireSound("Cutting Beam")
CuttingBeamAP.SetMaxCharge(2.000000)
CuttingBeamAP.SetMaxDamage(1250.000000)
CuttingBeamAP.SetMaxDamageDistance(200.000000)
CuttingBeamAP.SetMinFiringCharge(2.000000)
CuttingBeamAP.SetNormalDischargeRate(1.000000)
CuttingBeamAP.SetRechargeRate(1.500000)
CuttingBeamAP.SetIndicatorIconNum(511)
CuttingBeamAP.SetIndicatorIconPositionX(37.000000)
CuttingBeamAP.SetIndicatorIconPositionY(114.000000)
CuttingBeamAPForward = App.TGPoint3()
CuttingBeamAPForward.SetXYZ(-0.707107, -0.707107, 0.000000)
CuttingBeamAPUp = App.TGPoint3()
CuttingBeamAPUp.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamAP.SetOrientation(CuttingBeamAPForward, CuttingBeamAPUp)
CuttingBeamAP.SetWidth(0.010000)
CuttingBeamAP.SetLength(0.010000)
CuttingBeamAP.SetArcWidthAngles(-1.047198, 1.308997)
CuttingBeamAP.SetArcHeightAngles(-1.178097, 1.178097)
CuttingBeamAP.SetPhaserTextureStart(0)
CuttingBeamAP.SetPhaserTextureEnd(0)
CuttingBeamAP.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAP.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAP.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAP.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAP.SetInnerCoreColor(kColor)
CuttingBeamAP.SetNumSides(12)
CuttingBeamAP.SetMainRadius(0.100000)
CuttingBeamAP.SetTaperRadius(0.010000)
CuttingBeamAP.SetCoreScale(0.500000)
CuttingBeamAP.SetTaperRatio(0.250000)
CuttingBeamAP.SetTaperMinLength(5.000000)
CuttingBeamAP.SetTaperMaxLength(30.000000)
CuttingBeamAP.SetLengthTextureTilePerUnit(0.010000)
CuttingBeamAP.SetPerimeterTile(1.000000)
CuttingBeamAP.SetTextureSpeed(2.500000)
CuttingBeamAP.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamAP)
#################################################
CuttingBeamAS = App.PhaserProperty_Create("Cutting Beam AS")

CuttingBeamAS.SetMaxCondition(10000.000000)
CuttingBeamAS.SetCritical(0)
CuttingBeamAS.SetTargetable(1)
CuttingBeamAS.SetPrimary(1)
CuttingBeamAS.SetPosition(2.600000, -2.070000, 0.000000)
CuttingBeamAS.SetPosition2D(0.000000, 0.000000)
CuttingBeamAS.SetRepairComplexity(1.000000)
CuttingBeamAS.SetDisabledPercentage(0.500000)
CuttingBeamAS.SetRadius(0.250000)
CuttingBeamAS.SetDumbfire(0)
CuttingBeamAS.SetWeaponID(0)
CuttingBeamAS.SetGroups(0)
CuttingBeamAS.SetDamageRadiusFactor(0.500000)
CuttingBeamAS.SetIconNum(355)
CuttingBeamAS.SetIconPositionX(79.000000)
CuttingBeamAS.SetIconPositionY(103.000000)
CuttingBeamAS.SetIconAboveShip(1)
CuttingBeamAS.SetFireSound("Cutting Beam")
CuttingBeamAS.SetMaxCharge(2.000000)
CuttingBeamAS.SetMaxDamage(1250.000000)
CuttingBeamAS.SetMaxDamageDistance(200.000000)
CuttingBeamAS.SetMinFiringCharge(2.000000)
CuttingBeamAS.SetNormalDischargeRate(1.000000)
CuttingBeamAS.SetRechargeRate(1.500000)
CuttingBeamAS.SetIndicatorIconNum(511)
CuttingBeamAS.SetIndicatorIconPositionX(76.000000)
CuttingBeamAS.SetIndicatorIconPositionY(114.000000)
CuttingBeamASForward = App.TGPoint3()
CuttingBeamASForward.SetXYZ(0.707107, -0.707107, 0.000000)
CuttingBeamASUp = App.TGPoint3()
CuttingBeamASUp.SetXYZ(0.000000, 0.000000, 1.000000)
CuttingBeamAS.SetOrientation(CuttingBeamASForward, CuttingBeamASUp)
CuttingBeamAS.SetWidth(0.010000)
CuttingBeamAS.SetLength(0.010000)
CuttingBeamAS.SetArcWidthAngles(-1.221731, 1.047198)
CuttingBeamAS.SetArcHeightAngles(-1.178097, 1.178097)
CuttingBeamAS.SetPhaserTextureStart(0)
CuttingBeamAS.SetPhaserTextureEnd(0)
CuttingBeamAS.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAS.SetOuterShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAS.SetInnerShellColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAS.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.200000, 1.000000, 0.650000, 1.000000)
CuttingBeamAS.SetInnerCoreColor(kColor)
CuttingBeamAS.SetNumSides(12)
CuttingBeamAS.SetMainRadius(0.100000)
CuttingBeamAS.SetTaperRadius(0.010000)
CuttingBeamAS.SetCoreScale(0.500000)
CuttingBeamAS.SetTaperRatio(0.250000)
CuttingBeamAS.SetTaperMinLength(5.000000)
CuttingBeamAS.SetTaperMaxLength(30.000000)
CuttingBeamAS.SetLengthTextureTilePerUnit(0.010000)
CuttingBeamAS.SetPerimeterTile(1.000000)
CuttingBeamAS.SetTextureSpeed(2.500000)
CuttingBeamAS.SetTextureName("data/CRCutter.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(CuttingBeamAS)
#################################################
PlasmaCannons = App.WeaponSystemProperty_Create("Plasma Cannons")

PlasmaCannons.SetMaxCondition(250000.000000)
PlasmaCannons.SetCritical(0)
PlasmaCannons.SetTargetable(0)
PlasmaCannons.SetPrimary(1)
PlasmaCannons.SetPosition(0.000000, 0.000000, 0.000000)
PlasmaCannons.SetPosition2D(0.000000, 0.000000)
PlasmaCannons.SetRepairComplexity(2.000000)
PlasmaCannons.SetDisabledPercentage(0.750000)
PlasmaCannons.SetRadius(0.100000)
PlasmaCannons.SetNormalPowerPerSecond(1000.000000)
PlasmaCannons.SetWeaponSystemType(PlasmaCannons.WST_PULSE)
PlasmaCannons.SetSingleFire(0)
PlasmaCannons.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
PlasmaCannons.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(PlasmaCannons)
#################################################
CannonFP1 = App.PulseWeaponProperty_Create("Cannon FP1")

CannonFP1.SetMaxCondition(10000.000000)
CannonFP1.SetCritical(0)
CannonFP1.SetTargetable(1)
CannonFP1.SetPrimary(1)
CannonFP1.SetPosition(-1.700000, 2.880000, -0.200000)
CannonFP1.SetPosition2D(0.000000, 0.000000)
CannonFP1.SetRepairComplexity(2.000000)
CannonFP1.SetDisabledPercentage(0.750000)
CannonFP1.SetRadius(0.250000)
CannonFP1.SetDumbfire(1)
CannonFP1.SetWeaponID(0)
CannonFP1.SetGroups(0)
CannonFP1.SetDamageRadiusFactor(0.300000)
CannonFP1.SetIconNum(365)
CannonFP1.SetIconPositionX(52.000000)
CannonFP1.SetIconPositionY(53.000000)
CannonFP1.SetIconAboveShip(1)
CannonFP1.SetFireSound("Borg Disruptor")
CannonFP1.SetMaxCharge(15.000000)
CannonFP1.SetMaxDamage(1000.000000)
CannonFP1.SetMaxDamageDistance(300.000000)
CannonFP1.SetMinFiringCharge(15.000000)
CannonFP1.SetNormalDischargeRate(1.000000)
CannonFP1.SetRechargeRate(1.500000)
CannonFP1.SetIndicatorIconNum(0)
CannonFP1.SetIndicatorIconPositionX(500.000000)
CannonFP1.SetIndicatorIconPositionY(500.000000)
CannonFP1Forward = App.TGPoint3()
CannonFP1Forward.SetXYZ(-0.642788, 0.766044, 0.000000)
CannonFP1Up = App.TGPoint3()
CannonFP1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonFP1.SetOrientation(CannonFP1Forward, CannonFP1Up)
CannonFP1.SetArcWidthAngles(-1.221731, 1.047198)
CannonFP1.SetArcHeightAngles(-1.047198, 1.047198)
CannonFP1.SetCooldownTime(0.000001)
CannonFP1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonFP1)
#################################################
CannonFP2 = App.PulseWeaponProperty_Create("Cannon FP2")

CannonFP2.SetMaxCondition(10000.000000)
CannonFP2.SetCritical(0)
CannonFP2.SetTargetable(1)
CannonFP2.SetPrimary(1)
CannonFP2.SetPosition(-2.800000, 1.900000, 0.000000)
CannonFP2.SetPosition2D(0.000000, 0.000000)
CannonFP2.SetRepairComplexity(2.000000)
CannonFP2.SetDisabledPercentage(0.750000)
CannonFP2.SetRadius(0.250000)
CannonFP2.SetDumbfire(1)
CannonFP2.SetWeaponID(0)
CannonFP2.SetGroups(0)
CannonFP2.SetDamageRadiusFactor(0.300000)
CannonFP2.SetIconNum(365)
CannonFP2.SetIconPositionX(42.000000)
CannonFP2.SetIconPositionY(58.000000)
CannonFP2.SetIconAboveShip(1)
CannonFP2.SetFireSound("Borg Disruptor")
CannonFP2.SetMaxCharge(15.000000)
CannonFP2.SetMaxDamage(1000.000000)
CannonFP2.SetMaxDamageDistance(300.000000)
CannonFP2.SetMinFiringCharge(15.000000)
CannonFP2.SetNormalDischargeRate(1.000000)
CannonFP2.SetRechargeRate(1.500000)
CannonFP2.SetIndicatorIconNum(0)
CannonFP2.SetIndicatorIconPositionX(500.000000)
CannonFP2.SetIndicatorIconPositionY(500.000000)
CannonFP2Forward = App.TGPoint3()
CannonFP2Forward.SetXYZ(-0.766044, 0.642788, 0.000000)
CannonFP2Up = App.TGPoint3()
CannonFP2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonFP2.SetOrientation(CannonFP2Forward, CannonFP2Up)
CannonFP2.SetArcWidthAngles(-0.698132, 1.396263)
CannonFP2.SetArcHeightAngles(-1.047198, 1.047198)
CannonFP2.SetCooldownTime(0.000001)
CannonFP2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonFP2)
#################################################
CannonFS1 = App.PulseWeaponProperty_Create("Cannon FS1")

CannonFS1.SetMaxCondition(10000.000000)
CannonFS1.SetCritical(0)
CannonFS1.SetTargetable(1)
CannonFS1.SetPrimary(1)
CannonFS1.SetPosition(1.760000, 2.900000, 0.000000)
CannonFS1.SetPosition2D(0.000000, 0.000000)
CannonFS1.SetRepairComplexity(2.000000)
CannonFS1.SetDisabledPercentage(0.750000)
CannonFS1.SetRadius(0.250000)
CannonFS1.SetDumbfire(1)
CannonFS1.SetWeaponID(0)
CannonFS1.SetGroups(0)
CannonFS1.SetDamageRadiusFactor(0.300000)
CannonFS1.SetIconNum(365)
CannonFS1.SetIconPositionX(99.000000)
CannonFS1.SetIconPositionY(53.000000)
CannonFS1.SetIconAboveShip(1)
CannonFS1.SetFireSound("Borg Disruptor")
CannonFS1.SetMaxCharge(15.000000)
CannonFS1.SetMaxDamage(1000.000000)
CannonFS1.SetMaxDamageDistance(300.000000)
CannonFS1.SetMinFiringCharge(15.000000)
CannonFS1.SetNormalDischargeRate(1.000000)
CannonFS1.SetRechargeRate(1.500000)
CannonFS1.SetIndicatorIconNum(0)
CannonFS1.SetIndicatorIconPositionX(500.000000)
CannonFS1.SetIndicatorIconPositionY(500.000000)
CannonFS1Forward = App.TGPoint3()
CannonFS1Forward.SetXYZ(0.642788, 0.766044, 0.000000)
CannonFS1Up = App.TGPoint3()
CannonFS1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonFS1.SetOrientation(CannonFS1Forward, CannonFS1Up)
CannonFS1.SetArcWidthAngles(-1.047198, 1.483530)
CannonFS1.SetArcHeightAngles(-1.047198, 1.047198)
CannonFS1.SetCooldownTime(0.000001)
CannonFS1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonFS1)
#################################################
CannonFS2 = App.PulseWeaponProperty_Create("Cannon FS2")

CannonFS2.SetMaxCondition(10000.000000)
CannonFS2.SetCritical(0)
CannonFS2.SetTargetable(1)
CannonFS2.SetPrimary(1)
CannonFS2.SetPosition(2.800000, 1.900000, 0.000000)
CannonFS2.SetPosition2D(0.000000, 0.000000)
CannonFS2.SetRepairComplexity(2.000000)
CannonFS2.SetDisabledPercentage(0.750000)
CannonFS2.SetRadius(0.250000)
CannonFS2.SetDumbfire(1)
CannonFS2.SetWeaponID(0)
CannonFS2.SetGroups(0)
CannonFS2.SetDamageRadiusFactor(0.300000)
CannonFS2.SetIconNum(365)
CannonFS2.SetIconPositionX(109.000000)
CannonFS2.SetIconPositionY(58.000000)
CannonFS2.SetIconAboveShip(1)
CannonFS2.SetFireSound("Borg Disruptor")
CannonFS2.SetMaxCharge(15.000000)
CannonFS2.SetMaxDamage(1000.000000)
CannonFS2.SetMaxDamageDistance(300.000000)
CannonFS2.SetMinFiringCharge(15.000000)
CannonFS2.SetNormalDischargeRate(1.000000)
CannonFS2.SetRechargeRate(1.500000)
CannonFS2.SetIndicatorIconNum(0)
CannonFS2.SetIndicatorIconPositionX(500.000000)
CannonFS2.SetIndicatorIconPositionY(500.000000)
CannonFS2Forward = App.TGPoint3()
CannonFS2Forward.SetXYZ(0.766044, 0.642788, 0.000000)
CannonFS2Up = App.TGPoint3()
CannonFS2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonFS2.SetOrientation(CannonFS2Forward, CannonFS2Up)
CannonFS2.SetArcWidthAngles(-1.396263, 1.047198)
CannonFS2.SetArcHeightAngles(-1.047198, 1.047198)
CannonFS2.SetCooldownTime(0.000001)
CannonFS2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonFS2)
#################################################
CannonAP1 = App.PulseWeaponProperty_Create("Cannon AP1")

CannonAP1.SetMaxCondition(10000.000000)
CannonAP1.SetCritical(0)
CannonAP1.SetTargetable(1)
CannonAP1.SetPrimary(1)
CannonAP1.SetPosition(-1.880000, -2.730000, 0.000000)
CannonAP1.SetPosition2D(0.000000, 0.000000)
CannonAP1.SetRepairComplexity(2.000000)
CannonAP1.SetDisabledPercentage(0.750000)
CannonAP1.SetRadius(0.250000)
CannonAP1.SetDumbfire(1)
CannonAP1.SetWeaponID(0)
CannonAP1.SetGroups(0)
CannonAP1.SetDamageRadiusFactor(0.300000)
CannonAP1.SetIconNum(366)
CannonAP1.SetIconPositionX(52.000000)
CannonAP1.SetIconPositionY(102.000000)
CannonAP1.SetIconAboveShip(1)
CannonAP1.SetFireSound("Borg Disruptor")
CannonAP1.SetMaxCharge(15.000000)
CannonAP1.SetMaxDamage(1000.000000)
CannonAP1.SetMaxDamageDistance(300.000000)
CannonAP1.SetMinFiringCharge(15.000000)
CannonAP1.SetNormalDischargeRate(1.000000)
CannonAP1.SetRechargeRate(1.500000)
CannonAP1.SetIndicatorIconNum(0)
CannonAP1.SetIndicatorIconPositionX(500.000000)
CannonAP1.SetIndicatorIconPositionY(500.000000)
CannonAP1Forward = App.TGPoint3()
CannonAP1Forward.SetXYZ(-0.642788, -0.766044, 0.000000)
CannonAP1Up = App.TGPoint3()
CannonAP1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonAP1.SetOrientation(CannonAP1Forward, CannonAP1Up)
CannonAP1.SetArcWidthAngles(-1.047198, 0.610865)
CannonAP1.SetArcHeightAngles(-1.047198, 1.047198)
CannonAP1.SetCooldownTime(0.000001)
CannonAP1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonAP1)
#################################################
CannonAP2 = App.PulseWeaponProperty_Create("Cannon AP2")

CannonAP2.SetMaxCondition(10000.000000)
CannonAP2.SetCritical(0)
CannonAP2.SetTargetable(1)
CannonAP2.SetPrimary(1)
CannonAP2.SetPosition(-2.900000, -1.700000, 0.000000)
CannonAP2.SetPosition2D(0.000000, 0.000000)
CannonAP2.SetRepairComplexity(2.000000)
CannonAP2.SetDisabledPercentage(0.750000)
CannonAP2.SetRadius(0.250000)
CannonAP2.SetDumbfire(1)
CannonAP2.SetWeaponID(0)
CannonAP2.SetGroups(0)
CannonAP2.SetDamageRadiusFactor(0.300000)
CannonAP2.SetIconNum(366)
CannonAP2.SetIconPositionX(42.000000)
CannonAP2.SetIconPositionY(97.000000)
CannonAP2.SetIconAboveShip(1)
CannonAP2.SetFireSound("Borg Disruptor")
CannonAP2.SetMaxCharge(15.000000)
CannonAP2.SetMaxDamage(1000.000000)
CannonAP2.SetMaxDamageDistance(300.000000)
CannonAP2.SetMinFiringCharge(15.000000)
CannonAP2.SetNormalDischargeRate(1.000000)
CannonAP2.SetRechargeRate(1.500000)
CannonAP2.SetIndicatorIconNum(0)
CannonAP2.SetIndicatorIconPositionX(500.000000)
CannonAP2.SetIndicatorIconPositionY(500.000000)
CannonAP2Forward = App.TGPoint3()
CannonAP2Forward.SetXYZ(-0.766044, -0.642788, 0.000000)
CannonAP2Up = App.TGPoint3()
CannonAP2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonAP2.SetOrientation(CannonAP2Forward, CannonAP2Up)
CannonAP2.SetArcWidthAngles(-1.483530, 1.134464)
CannonAP2.SetArcHeightAngles(-1.047198, 1.047198)
CannonAP2.SetCooldownTime(0.000001)
CannonAP2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonAP2)
#################################################
CannonAS1 = App.PulseWeaponProperty_Create("Cannon AS1")

CannonAS1.SetMaxCondition(10000.000000)
CannonAS1.SetCritical(0)
CannonAS1.SetTargetable(1)
CannonAS1.SetPrimary(1)
CannonAS1.SetPosition(1.900000, -2.750000, 0.000000)
CannonAS1.SetPosition2D(0.000000, 0.000000)
CannonAS1.SetRepairComplexity(2.000000)
CannonAS1.SetDisabledPercentage(0.750000)
CannonAS1.SetRadius(0.250000)
CannonAS1.SetDumbfire(1)
CannonAS1.SetWeaponID(0)
CannonAS1.SetGroups(0)
CannonAS1.SetDamageRadiusFactor(0.300000)
CannonAS1.SetIconNum(366)
CannonAS1.SetIconPositionX(99.000000)
CannonAS1.SetIconPositionY(102.000000)
CannonAS1.SetIconAboveShip(1)
CannonAS1.SetFireSound("Borg Disruptor")
CannonAS1.SetMaxCharge(15.000000)
CannonAS1.SetMaxDamage(1000.000000)
CannonAS1.SetMaxDamageDistance(300.000000)
CannonAS1.SetMinFiringCharge(15.000000)
CannonAS1.SetNormalDischargeRate(1.000000)
CannonAS1.SetRechargeRate(1.500000)
CannonAS1.SetIndicatorIconNum(0)
CannonAS1.SetIndicatorIconPositionX(500.000000)
CannonAS1.SetIndicatorIconPositionY(500.000000)
CannonAS1Forward = App.TGPoint3()
CannonAS1Forward.SetXYZ(0.642788, -0.766044, 0.000000)
CannonAS1Up = App.TGPoint3()
CannonAS1Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonAS1.SetOrientation(CannonAS1Forward, CannonAS1Up)
CannonAS1.SetArcWidthAngles(-0.610865, 1.483530)
CannonAS1.SetArcHeightAngles(-1.047198, 1.047198)
CannonAS1.SetCooldownTime(0.000001)
CannonAS1.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonAS1)
#################################################
CannonAS2 = App.PulseWeaponProperty_Create("Cannon AS2")

CannonAS2.SetMaxCondition(10000.000000)
CannonAS2.SetCritical(0)
CannonAS2.SetTargetable(1)
CannonAS2.SetPrimary(1)
CannonAS2.SetPosition(2.890000, -1.700000, 0.000000)
CannonAS2.SetPosition2D(0.000000, 0.000000)
CannonAS2.SetRepairComplexity(2.000000)
CannonAS2.SetDisabledPercentage(0.750000)
CannonAS2.SetRadius(0.250000)
CannonAS2.SetDumbfire(1)
CannonAS2.SetWeaponID(0)
CannonAS2.SetGroups(0)
CannonAS2.SetDamageRadiusFactor(0.300000)
CannonAS2.SetIconNum(366)
CannonAS2.SetIconPositionX(109.000000)
CannonAS2.SetIconPositionY(97.000000)
CannonAS2.SetIconAboveShip(1)
CannonAS2.SetFireSound("Borg Disruptor")
CannonAS2.SetMaxCharge(15.000000)
CannonAS2.SetMaxDamage(1000.000000)
CannonAS2.SetMaxDamageDistance(300.000000)
CannonAS2.SetMinFiringCharge(15.000000)
CannonAS2.SetNormalDischargeRate(1.000000)
CannonAS2.SetRechargeRate(1.500000)
CannonAS2.SetIndicatorIconNum(0)
CannonAS2.SetIndicatorIconPositionX(500.000000)
CannonAS2.SetIndicatorIconPositionY(500.000000)
CannonAS2Forward = App.TGPoint3()
CannonAS2Forward.SetXYZ(0.766044, -0.642788, 0.000000)
CannonAS2Up = App.TGPoint3()
CannonAS2Up.SetXYZ(0.000000, 0.000000, 1.000000)
CannonAS2.SetOrientation(CannonAS2Forward, CannonAS2Up)
CannonAS2.SetArcWidthAngles(-1.047198, 1.570796)
CannonAS2.SetArcHeightAngles(-1.047198, 1.047198)
CannonAS2.SetCooldownTime(0.000001)
CannonAS2.SetModuleName("Tactical.Projectiles.PlasmaGlobule")
App.g_kModelPropertyManager.RegisterLocalTemplate(CannonAS2)
#################################################
TorpedoBays = App.TorpedoSystemProperty_Create("Torpedo Bays")

TorpedoBays.SetMaxCondition(250000.000000)
TorpedoBays.SetCritical(0)
TorpedoBays.SetTargetable(0)
TorpedoBays.SetPrimary(1)
TorpedoBays.SetPosition(0.000000, 0.000000, 0.000000)
TorpedoBays.SetPosition2D(82.000000, 64.000000)
TorpedoBays.SetRepairComplexity(2.000000)
TorpedoBays.SetDisabledPercentage(0.750000)
TorpedoBays.SetRadius(0.440700)
TorpedoBays.SetNormalPowerPerSecond(750.000000)
TorpedoBays.SetWeaponSystemType(TorpedoBays.WST_TORPEDO)
TorpedoBays.SetSingleFire(0)
TorpedoBays.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("0;Single;1;Burst")
TorpedoBays.SetFiringChainString(kFiringChainString)
TorpedoBays.SetMaxTorpedoes(0, 1)
TorpedoBays.SetTorpedoScript(0, "Tactical.Projectiles.BorgHail")
TorpedoBays.SetMaxTorpedoes(1, 5000)
TorpedoBays.SetTorpedoScript(1, "Tactical.Projectiles.BorgWarpPlasma")
TorpedoBays.SetNumAmmoTypes(2)
App.g_kModelPropertyManager.RegisterLocalTemplate(TorpedoBays)
#################################################
BayF1 = App.TorpedoTubeProperty_Create("Bay F1")

BayF1.SetMaxCondition(15000.000000)
BayF1.SetCritical(0)
BayF1.SetTargetable(1)
BayF1.SetPrimary(1)
BayF1.SetPosition(1.900000, 2.820000, 0.000000)
BayF1.SetPosition2D(0.000000, 0.000000)
BayF1.SetRepairComplexity(0.750000)
BayF1.SetDisabledPercentage(0.500000)
BayF1.SetRadius(0.250000)
BayF1.SetDumbfire(1)
BayF1.SetWeaponID(0)
BayF1.SetGroups(1)
BayF1.SetDamageRadiusFactor(0.400000)
BayF1.SetIconNum(370)
BayF1.SetIconPositionX(74.000000)
BayF1.SetIconPositionY(52.000000)
BayF1.SetIconAboveShip(1)
BayF1.SetImmediateDelay(0.000001)
BayF1.SetReloadDelay(10.000000)
BayF1.SetMaxReady(6)
BayF1Direction = App.TGPoint3()
BayF1Direction.SetXYZ(0.555571, 0.831469, 0.000000)
BayF1.SetDirection(BayF1Direction)
BayF1Right = App.TGPoint3()
BayF1Right.SetXYZ(0.000000, 0.000000, -1.000000)
BayF1.SetRight(BayF1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayF1)
#################################################
BayF2 = App.TorpedoTubeProperty_Create("Bay F2")

BayF2.SetMaxCondition(15000.000000)
BayF2.SetCritical(0)
BayF2.SetTargetable(1)
BayF2.SetPrimary(1)
BayF2.SetPosition(-1.800000, 2.720000, 0.000000)
BayF2.SetPosition2D(0.000000, 0.000000)
BayF2.SetRepairComplexity(0.750000)
BayF2.SetDisabledPercentage(0.500000)
BayF2.SetRadius(0.250000)
BayF2.SetDumbfire(1)
BayF2.SetWeaponID(0)
BayF2.SetGroups(1)
BayF2.SetDamageRadiusFactor(0.400000)
BayF2.SetIconNum(370)
BayF2.SetIconPositionX(79.000000)
BayF2.SetIconPositionY(52.000000)
BayF2.SetIconAboveShip(1)
BayF2.SetImmediateDelay(0.000001)
BayF2.SetReloadDelay(10.000000)
BayF2.SetMaxReady(6)
BayF2Direction = App.TGPoint3()
BayF2Direction.SetXYZ(-0.555571, 0.831469, 0.000000)
BayF2.SetDirection(BayF2Direction)
BayF2Right = App.TGPoint3()
BayF2Right.SetXYZ(0.000000, 0.000000, -1.000000)
BayF2.SetRight(BayF2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayF2)
#################################################
BayA1 = App.TorpedoTubeProperty_Create("Bay A1")

BayA1.SetMaxCondition(15000.000000)
BayA1.SetCritical(0)
BayA1.SetTargetable(1)
BayA1.SetPrimary(1)
BayA1.SetPosition(1.800000, -2.820000, 0.300000)
BayA1.SetPosition2D(0.000000, 0.000000)
BayA1.SetRepairComplexity(0.750000)
BayA1.SetDisabledPercentage(0.500000)
BayA1.SetRadius(0.250000)
BayA1.SetDumbfire(1)
BayA1.SetWeaponID(0)
BayA1.SetGroups(1)
BayA1.SetDamageRadiusFactor(0.400000)
BayA1.SetIconNum(370)
BayA1.SetIconPositionX(74.000000)
BayA1.SetIconPositionY(108.000000)
BayA1.SetIconAboveShip(1)
BayA1.SetImmediateDelay(0.000001)
BayA1.SetReloadDelay(10.000000)
BayA1.SetMaxReady(6)
BayA1Direction = App.TGPoint3()
BayA1Direction.SetXYZ(0.555571, -0.831469, 0.000000)
BayA1.SetDirection(BayA1Direction)
BayA1Right = App.TGPoint3()
BayA1Right.SetXYZ(0.000000, 0.000000, -1.000000)
BayA1.SetRight(BayA1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayA1)
#################################################
BayA2 = App.TorpedoTubeProperty_Create("Bay A2")

BayA2.SetMaxCondition(15000.000000)
BayA2.SetCritical(0)
BayA2.SetTargetable(1)
BayA2.SetPrimary(1)
BayA2.SetPosition(-1.800000, -2.780000, 0.500000)
BayA2.SetPosition2D(0.000000, 0.000000)
BayA2.SetRepairComplexity(0.750000)
BayA2.SetDisabledPercentage(0.500000)
BayA2.SetRadius(0.250000)
BayA2.SetDumbfire(1)
BayA2.SetWeaponID(0)
BayA2.SetGroups(1)
BayA2.SetDamageRadiusFactor(0.400000)
BayA2.SetIconNum(370)
BayA2.SetIconPositionX(79.000000)
BayA2.SetIconPositionY(108.000000)
BayA2.SetIconAboveShip(1)
BayA2.SetImmediateDelay(0.000001)
BayA2.SetReloadDelay(10.000000)
BayA2.SetMaxReady(6)
BayA2Direction = App.TGPoint3()
BayA2Direction.SetXYZ(-0.555571, -0.831469, 0.000000)
BayA2.SetDirection(BayA2Direction)
BayA2Right = App.TGPoint3()
BayA2Right.SetXYZ(0.000000, 0.000000, -1.000000)
BayA2.SetRight(BayA2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayA2)
#################################################
BayDS = App.TorpedoTubeProperty_Create("Bay DS")

BayDS.SetMaxCondition(15000.000000)
BayDS.SetCritical(0)
BayDS.SetTargetable(1)
BayDS.SetPrimary(1)
BayDS.SetPosition(3.000000, 0.000000, 1.700000)
BayDS.SetPosition2D(0.000000, 0.000000)
BayDS.SetRepairComplexity(0.750000)
BayDS.SetDisabledPercentage(0.500000)
BayDS.SetRadius(0.250000)
BayDS.SetDumbfire(1)
BayDS.SetWeaponID(0)
BayDS.SetGroups(1)
BayDS.SetDamageRadiusFactor(0.400000)
BayDS.SetIconNum(370)
BayDS.SetIconPositionX(99.000000)
BayDS.SetIconPositionY(71.000000)
BayDS.SetIconAboveShip(1)
BayDS.SetImmediateDelay(0.000001)
BayDS.SetReloadDelay(10.000000)
BayDS.SetMaxReady(6)
BayDSDirection = App.TGPoint3()
BayDSDirection.SetXYZ(0.866026, 0.000000, 0.500000)
BayDS.SetDirection(BayDSDirection)
BayDSRight = App.TGPoint3()
BayDSRight.SetXYZ(0.000000, 0.000000, 1.000000)
BayDS.SetRight(BayDSRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayDS)
#################################################
BayVS = App.TorpedoTubeProperty_Create("Bay VS")

BayVS.SetMaxCondition(15000.000000)
BayVS.SetCritical(0)
BayVS.SetTargetable(1)
BayVS.SetPrimary(1)
BayVS.SetPosition(3.000000, 0.000000, -1.700000)
BayVS.SetPosition2D(0.000000, 0.000000)
BayVS.SetRepairComplexity(0.750000)
BayVS.SetDisabledPercentage(0.500000)
BayVS.SetRadius(0.250000)
BayVS.SetDumbfire(1)
BayVS.SetWeaponID(0)
BayVS.SetGroups(1)
BayVS.SetDamageRadiusFactor(0.400000)
BayVS.SetIconNum(370)
BayVS.SetIconPositionX(99.000000)
BayVS.SetIconPositionY(90.000000)
BayVS.SetIconAboveShip(1)
BayVS.SetImmediateDelay(0.000001)
BayVS.SetReloadDelay(10.000000)
BayVS.SetMaxReady(6)
BayVSDirection = App.TGPoint3()
BayVSDirection.SetXYZ(0.866026, 0.000000, -0.500000)
BayVS.SetDirection(BayVSDirection)
BayVSRight = App.TGPoint3()
BayVSRight.SetXYZ(0.000000, 0.000000, -1.000000)
BayVS.SetRight(BayVSRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayVS)
#################################################
BayDP = App.TorpedoTubeProperty_Create("Bay DP")

BayDP.SetMaxCondition(15000.000000)
BayDP.SetCritical(0)
BayDP.SetTargetable(1)
BayDP.SetPrimary(1)
BayDP.SetPosition(-3.000000, 0.000000, 1.700000)
BayDP.SetPosition2D(0.000000, 0.000000)
BayDP.SetRepairComplexity(0.750000)
BayDP.SetDisabledPercentage(0.500000)
BayDP.SetRadius(0.250000)
BayDP.SetDumbfire(1)
BayDP.SetWeaponID(0)
BayDP.SetGroups(1)
BayDP.SetDamageRadiusFactor(0.400000)
BayDP.SetIconNum(370)
BayDP.SetIconPositionX(52.000000)
BayDP.SetIconPositionY(71.000000)
BayDP.SetIconAboveShip(1)
BayDP.SetImmediateDelay(0.000001)
BayDP.SetReloadDelay(10.000000)
BayDP.SetMaxReady(6)
BayDPDirection = App.TGPoint3()
BayDPDirection.SetXYZ(-0.866026, 0.000000, 0.500000)
BayDP.SetDirection(BayDPDirection)
BayDPRight = App.TGPoint3()
BayDPRight.SetXYZ(0.000000, 0.000000, 1.000000)
BayDP.SetRight(BayDPRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayDP)
#################################################
BayVP = App.TorpedoTubeProperty_Create("Bay VP")

BayVP.SetMaxCondition(15000.000000)
BayVP.SetCritical(0)
BayVP.SetTargetable(1)
BayVP.SetPrimary(1)
BayVP.SetPosition(-3.000000, 0.000000, -1.700000)
BayVP.SetPosition2D(0.000000, 0.000000)
BayVP.SetRepairComplexity(0.750000)
BayVP.SetDisabledPercentage(0.500000)
BayVP.SetRadius(0.250000)
BayVP.SetDumbfire(1)
BayVP.SetWeaponID(0)
BayVP.SetGroups(1)
BayVP.SetDamageRadiusFactor(0.400000)
BayVP.SetIconNum(370)
BayVP.SetIconPositionX(52.000000)
BayVP.SetIconPositionY(90.000000)
BayVP.SetIconAboveShip(1)
BayVP.SetImmediateDelay(0.000001)
BayVP.SetReloadDelay(10.000000)
BayVP.SetMaxReady(6)
BayVPDirection = App.TGPoint3()
BayVPDirection.SetXYZ(-0.866026, 0.000000, -0.500000)
BayVP.SetDirection(BayVPDirection)
BayVPRight = App.TGPoint3()
BayVPRight.SetXYZ(0.000000, 0.000000, -1.000000)
BayVP.SetRight(BayVPRight)
App.g_kModelPropertyManager.RegisterLocalTemplate(BayVP)
#################################################
RawMaterialStorage = App.RepairSubsystemProperty_Create("Raw Material Storage")

RawMaterialStorage.SetMaxCondition(250000.000000)
RawMaterialStorage.SetCritical(0)
RawMaterialStorage.SetTargetable(0)
RawMaterialStorage.SetPrimary(1)
RawMaterialStorage.SetPosition(0.000000, 0.000000, 0.000000)
RawMaterialStorage.SetPosition2D(64.000000, 40.000000)
RawMaterialStorage.SetRepairComplexity(1.000000)
RawMaterialStorage.SetDisabledPercentage(0.100000)
RawMaterialStorage.SetRadius(0.010000)
RawMaterialStorage.SetNormalPowerPerSecond(1000.000000)
RawMaterialStorage.SetMaxRepairPoints(12000.000000)
RawMaterialStorage.SetNumRepairTeams(50)
App.g_kModelPropertyManager.RegisterLocalTemplate(RawMaterialStorage)
#################################################
HoldingBeams = App.WeaponSystemProperty_Create("Holding Beams")

HoldingBeams.SetMaxCondition(250000.000000)
HoldingBeams.SetCritical(0)
HoldingBeams.SetTargetable(0)
HoldingBeams.SetPrimary(1)
HoldingBeams.SetPosition(0.000000, -0.734500, -0.293800)
HoldingBeams.SetPosition2D(120.000000, 120.000000)
HoldingBeams.SetRepairComplexity(1.000000)
HoldingBeams.SetDisabledPercentage(0.750000)
HoldingBeams.SetRadius(0.300000)
HoldingBeams.SetNormalPowerPerSecond(0.000000)
HoldingBeams.SetWeaponSystemType(HoldingBeams.WST_TRACTOR)
HoldingBeams.SetSingleFire(0)
HoldingBeams.SetAimedWeapon(0)
kFiringChainString = App.TGString()
kFiringChainString.SetString("")
HoldingBeams.SetFiringChainString(kFiringChainString)
App.g_kModelPropertyManager.RegisterLocalTemplate(HoldingBeams)
#################################################
HoldingBeamF1 = App.TractorBeamProperty_Create("Holding Beam F1")

HoldingBeamF1.SetMaxCondition(15000.000000)
HoldingBeamF1.SetCritical(0)
HoldingBeamF1.SetTargetable(1)
HoldingBeamF1.SetPrimary(1)
HoldingBeamF1.SetPosition(0.000000, 3.550000, 0.500000)
HoldingBeamF1.SetPosition2D(0.000000, 0.000000)
HoldingBeamF1.SetRepairComplexity(1.000000)
HoldingBeamF1.SetDisabledPercentage(0.500000)
HoldingBeamF1.SetRadius(0.250000)
HoldingBeamF1.SetDumbfire(0)
HoldingBeamF1.SetWeaponID(0)
HoldingBeamF1.SetGroups(0)
HoldingBeamF1.SetDamageRadiusFactor(0.300000)
HoldingBeamF1.SetIconNum(0)
HoldingBeamF1.SetIconPositionX(0.000000)
HoldingBeamF1.SetIconPositionY(0.000000)
HoldingBeamF1.SetIconAboveShip(0)
HoldingBeamF1.SetFireSound("Tractor Beam")
HoldingBeamF1.SetMaxCharge(20000.000000)
HoldingBeamF1.SetMaxDamage(250000.000000)
HoldingBeamF1.SetMaxDamageDistance(570.000000)
HoldingBeamF1.SetMinFiringCharge(3.000000)
HoldingBeamF1.SetNormalDischargeRate(10.000000)
HoldingBeamF1.SetRechargeRate(1000.000000)
HoldingBeamF1.SetIndicatorIconNum(0)
HoldingBeamF1.SetIndicatorIconPositionX(500.000000)
HoldingBeamF1.SetIndicatorIconPositionY(500.000000)
HoldingBeamF1Forward = App.TGPoint3()
HoldingBeamF1Forward.SetXYZ(0.000000, 1.000000, 0.000000)
HoldingBeamF1Up = App.TGPoint3()
HoldingBeamF1Up.SetXYZ(0.000000, 0.000000, 1.000000)
HoldingBeamF1.SetOrientation(HoldingBeamF1Forward, HoldingBeamF1Up)
HoldingBeamF1.SetArcWidthAngles(-0.785398, 0.785398)
HoldingBeamF1.SetArcHeightAngles(-1.047198, 1.308997)
HoldingBeamF1.SetTractorBeamWidth(1.800000)
HoldingBeamF1.SetTextureStart(0)
HoldingBeamF1.SetTextureEnd(0)
HoldingBeamF1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamF1.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
HoldingBeamF1.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamF1.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.898039)
HoldingBeamF1.SetInnerCoreColor(kColor)
HoldingBeamF1.SetNumSides(12)
HoldingBeamF1.SetMainRadius(6.000000)
HoldingBeamF1.SetTaperRadius(0.100000)
HoldingBeamF1.SetCoreScale(0.250000)
HoldingBeamF1.SetTaperRatio(0.900000)
HoldingBeamF1.SetTaperMinLength(100.000000)
HoldingBeamF1.SetTaperMaxLength(400.000000)
HoldingBeamF1.SetLengthTextureTilePerUnit(0.250000)
HoldingBeamF1.SetPerimeterTile(1.000000)
HoldingBeamF1.SetTextureSpeed(0.500000)
HoldingBeamF1.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(HoldingBeamF1)
#################################################
HoldingBeamF2 = App.TractorBeamProperty_Create("Holding Beam F2")

HoldingBeamF2.SetMaxCondition(15000.000000)
HoldingBeamF2.SetCritical(0)
HoldingBeamF2.SetTargetable(1)
HoldingBeamF2.SetPrimary(1)
HoldingBeamF2.SetPosition(0.000000, 3.550000, -0.500000)
HoldingBeamF2.SetPosition2D(0.000000, 0.000000)
HoldingBeamF2.SetRepairComplexity(1.000000)
HoldingBeamF2.SetDisabledPercentage(0.500000)
HoldingBeamF2.SetRadius(0.250000)
HoldingBeamF2.SetDumbfire(0)
HoldingBeamF2.SetWeaponID(0)
HoldingBeamF2.SetGroups(0)
HoldingBeamF2.SetDamageRadiusFactor(0.300000)
HoldingBeamF2.SetIconNum(0)
HoldingBeamF2.SetIconPositionX(0.000000)
HoldingBeamF2.SetIconPositionY(0.000000)
HoldingBeamF2.SetIconAboveShip(0)
HoldingBeamF2.SetFireSound("Tractor Beam")
HoldingBeamF2.SetMaxCharge(20000.000000)
HoldingBeamF2.SetMaxDamage(250000.000000)
HoldingBeamF2.SetMaxDamageDistance(570.000000)
HoldingBeamF2.SetMinFiringCharge(3.000000)
HoldingBeamF2.SetNormalDischargeRate(10.000000)
HoldingBeamF2.SetRechargeRate(1000.000000)
HoldingBeamF2.SetIndicatorIconNum(0)
HoldingBeamF2.SetIndicatorIconPositionX(500.000000)
HoldingBeamF2.SetIndicatorIconPositionY(500.000000)
HoldingBeamF2Forward = App.TGPoint3()
HoldingBeamF2Forward.SetXYZ(0.000000, 1.000000, 0.000000)
HoldingBeamF2Up = App.TGPoint3()
HoldingBeamF2Up.SetXYZ(0.000000, 0.000000, 1.000000)
HoldingBeamF2.SetOrientation(HoldingBeamF2Forward, HoldingBeamF2Up)
HoldingBeamF2.SetArcWidthAngles(-0.785398, 0.785398)
HoldingBeamF2.SetArcHeightAngles(-1.308997, 1.047198)
HoldingBeamF2.SetTractorBeamWidth(1.800000)
HoldingBeamF2.SetTextureStart(0)
HoldingBeamF2.SetTextureEnd(0)
HoldingBeamF2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamF2.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
HoldingBeamF2.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamF2.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.898039)
HoldingBeamF2.SetInnerCoreColor(kColor)
HoldingBeamF2.SetNumSides(12)
HoldingBeamF2.SetMainRadius(6.000000)
HoldingBeamF2.SetTaperRadius(0.100000)
HoldingBeamF2.SetCoreScale(0.250000)
HoldingBeamF2.SetTaperRatio(0.900000)
HoldingBeamF2.SetTaperMinLength(100.000000)
HoldingBeamF2.SetTaperMaxLength(400.000000)
HoldingBeamF2.SetLengthTextureTilePerUnit(0.250000)
HoldingBeamF2.SetPerimeterTile(1.000000)
HoldingBeamF2.SetTextureSpeed(0.500000)
HoldingBeamF2.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(HoldingBeamF2)
#################################################
HoldingBeamA = App.TractorBeamProperty_Create("Holding Beam A")

HoldingBeamA.SetMaxCondition(15000.000000)
HoldingBeamA.SetCritical(0)
HoldingBeamA.SetTargetable(1)
HoldingBeamA.SetPrimary(1)
HoldingBeamA.SetPosition(0.000000, -3.300000, 0.000000)
HoldingBeamA.SetPosition2D(0.000000, 0.000000)
HoldingBeamA.SetRepairComplexity(1.000000)
HoldingBeamA.SetDisabledPercentage(0.500000)
HoldingBeamA.SetRadius(0.250000)
HoldingBeamA.SetDumbfire(0)
HoldingBeamA.SetWeaponID(0)
HoldingBeamA.SetGroups(0)
HoldingBeamA.SetDamageRadiusFactor(0.300000)
HoldingBeamA.SetIconNum(0)
HoldingBeamA.SetIconPositionX(0.000000)
HoldingBeamA.SetIconPositionY(0.000000)
HoldingBeamA.SetIconAboveShip(0)
HoldingBeamA.SetFireSound("Tractor Beam")
HoldingBeamA.SetMaxCharge(20000.000000)
HoldingBeamA.SetMaxDamage(250000.000000)
HoldingBeamA.SetMaxDamageDistance(570.000000)
HoldingBeamA.SetMinFiringCharge(3.000000)
HoldingBeamA.SetNormalDischargeRate(10.000000)
HoldingBeamA.SetRechargeRate(1000.000000)
HoldingBeamA.SetIndicatorIconNum(0)
HoldingBeamA.SetIndicatorIconPositionX(500.000000)
HoldingBeamA.SetIndicatorIconPositionY(500.000000)
HoldingBeamAForward = App.TGPoint3()
HoldingBeamAForward.SetXYZ(0.000000, -1.000000, 0.000000)
HoldingBeamAUp = App.TGPoint3()
HoldingBeamAUp.SetXYZ(0.000000, 0.000000, 1.000000)
HoldingBeamA.SetOrientation(HoldingBeamAForward, HoldingBeamAUp)
HoldingBeamA.SetArcWidthAngles(-0.785398, 0.785398)
HoldingBeamA.SetArcHeightAngles(-1.047198, 1.047198)
HoldingBeamA.SetTractorBeamWidth(1.800000)
HoldingBeamA.SetTextureStart(0)
HoldingBeamA.SetTextureEnd(0)
HoldingBeamA.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamA.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
HoldingBeamA.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamA.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.898039)
HoldingBeamA.SetInnerCoreColor(kColor)
HoldingBeamA.SetNumSides(12)
HoldingBeamA.SetMainRadius(6.000000)
HoldingBeamA.SetTaperRadius(0.100000)
HoldingBeamA.SetCoreScale(0.250000)
HoldingBeamA.SetTaperRatio(0.900000)
HoldingBeamA.SetTaperMinLength(100.000000)
HoldingBeamA.SetTaperMaxLength(400.000000)
HoldingBeamA.SetLengthTextureTilePerUnit(0.250000)
HoldingBeamA.SetPerimeterTile(1.000000)
HoldingBeamA.SetTextureSpeed(0.500000)
HoldingBeamA.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(HoldingBeamA)
#################################################
HoldingBeamP = App.TractorBeamProperty_Create("Holding Beam P")

HoldingBeamP.SetMaxCondition(15000.000000)
HoldingBeamP.SetCritical(0)
HoldingBeamP.SetTargetable(1)
HoldingBeamP.SetPrimary(1)
HoldingBeamP.SetPosition(-3.490000, 0.000000, 0.000000)
HoldingBeamP.SetPosition2D(0.000000, 0.000000)
HoldingBeamP.SetRepairComplexity(1.000000)
HoldingBeamP.SetDisabledPercentage(0.500000)
HoldingBeamP.SetRadius(0.250000)
HoldingBeamP.SetDumbfire(0)
HoldingBeamP.SetWeaponID(0)
HoldingBeamP.SetGroups(0)
HoldingBeamP.SetDamageRadiusFactor(0.300000)
HoldingBeamP.SetIconNum(0)
HoldingBeamP.SetIconPositionX(0.000000)
HoldingBeamP.SetIconPositionY(0.000000)
HoldingBeamP.SetIconAboveShip(0)
HoldingBeamP.SetFireSound("Tractor Beam")
HoldingBeamP.SetMaxCharge(20000.000000)
HoldingBeamP.SetMaxDamage(250000.000000)
HoldingBeamP.SetMaxDamageDistance(570.000000)
HoldingBeamP.SetMinFiringCharge(3.000000)
HoldingBeamP.SetNormalDischargeRate(10.000000)
HoldingBeamP.SetRechargeRate(1000.000000)
HoldingBeamP.SetIndicatorIconNum(0)
HoldingBeamP.SetIndicatorIconPositionX(500.000000)
HoldingBeamP.SetIndicatorIconPositionY(500.000000)
HoldingBeamPForward = App.TGPoint3()
HoldingBeamPForward.SetXYZ(-1.000000, 0.000000, 0.000000)
HoldingBeamPUp = App.TGPoint3()
HoldingBeamPUp.SetXYZ(0.000000, 0.000000, 1.000000)
HoldingBeamP.SetOrientation(HoldingBeamPForward, HoldingBeamPUp)
HoldingBeamP.SetArcWidthAngles(-1.047198, 1.047198)
HoldingBeamP.SetArcHeightAngles(-1.047198, 1.047198)
HoldingBeamP.SetTractorBeamWidth(1.800000)
HoldingBeamP.SetTextureStart(0)
HoldingBeamP.SetTextureEnd(0)
HoldingBeamP.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamP.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
HoldingBeamP.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamP.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.898039)
HoldingBeamP.SetInnerCoreColor(kColor)
HoldingBeamP.SetNumSides(12)
HoldingBeamP.SetMainRadius(6.000000)
HoldingBeamP.SetTaperRadius(0.100000)
HoldingBeamP.SetCoreScale(0.250000)
HoldingBeamP.SetTaperRatio(0.900000)
HoldingBeamP.SetTaperMinLength(100.000000)
HoldingBeamP.SetTaperMaxLength(400.000000)
HoldingBeamP.SetLengthTextureTilePerUnit(0.250000)
HoldingBeamP.SetPerimeterTile(1.000000)
HoldingBeamP.SetTextureSpeed(0.500000)
HoldingBeamP.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(HoldingBeamP)
#################################################
HoldingBeamS = App.TractorBeamProperty_Create("Holding Beam S")

HoldingBeamS.SetMaxCondition(15000.000000)
HoldingBeamS.SetCritical(0)
HoldingBeamS.SetTargetable(1)
HoldingBeamS.SetPrimary(1)
HoldingBeamS.SetPosition(3.490000, 0.000000, 0.000000)
HoldingBeamS.SetPosition2D(0.000000, 0.000000)
HoldingBeamS.SetRepairComplexity(1.000000)
HoldingBeamS.SetDisabledPercentage(0.500000)
HoldingBeamS.SetRadius(0.250000)
HoldingBeamS.SetDumbfire(0)
HoldingBeamS.SetWeaponID(0)
HoldingBeamS.SetGroups(0)
HoldingBeamS.SetDamageRadiusFactor(0.300000)
HoldingBeamS.SetIconNum(0)
HoldingBeamS.SetIconPositionX(0.000000)
HoldingBeamS.SetIconPositionY(0.000000)
HoldingBeamS.SetIconAboveShip(0)
HoldingBeamS.SetFireSound("Tractor Beam")
HoldingBeamS.SetMaxCharge(20000.000000)
HoldingBeamS.SetMaxDamage(250000.000000)
HoldingBeamS.SetMaxDamageDistance(570.000000)
HoldingBeamS.SetMinFiringCharge(3.000000)
HoldingBeamS.SetNormalDischargeRate(10.000000)
HoldingBeamS.SetRechargeRate(1000.000000)
HoldingBeamS.SetIndicatorIconNum(0)
HoldingBeamS.SetIndicatorIconPositionX(500.000000)
HoldingBeamS.SetIndicatorIconPositionY(500.000000)
HoldingBeamSForward = App.TGPoint3()
HoldingBeamSForward.SetXYZ(1.000000, 0.000000, 0.000000)
HoldingBeamSUp = App.TGPoint3()
HoldingBeamSUp.SetXYZ(0.000000, 0.000000, 1.000000)
HoldingBeamS.SetOrientation(HoldingBeamSForward, HoldingBeamSUp)
HoldingBeamS.SetArcWidthAngles(-1.047198, 1.047198)
HoldingBeamS.SetArcHeightAngles(-1.047198, 1.047198)
HoldingBeamS.SetTractorBeamWidth(1.800000)
HoldingBeamS.SetTextureStart(0)
HoldingBeamS.SetTextureEnd(0)
HoldingBeamS.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamS.SetOuterShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.800000)
HoldingBeamS.SetInnerShellColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 1.000000)
HoldingBeamS.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.000000, 1.000000, 0.000000, 0.898039)
HoldingBeamS.SetInnerCoreColor(kColor)
HoldingBeamS.SetNumSides(12)
HoldingBeamS.SetMainRadius(6.000000)
HoldingBeamS.SetTaperRadius(0.100000)
HoldingBeamS.SetCoreScale(0.250000)
HoldingBeamS.SetTaperRatio(0.900000)
HoldingBeamS.SetTaperMinLength(100.000000)
HoldingBeamS.SetTaperMaxLength(400.000000)
HoldingBeamS.SetLengthTextureTilePerUnit(0.250000)
HoldingBeamS.SetPerimeterTile(1.000000)
HoldingBeamS.SetTextureSpeed(0.500000)
HoldingBeamS.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(HoldingBeamS)
#################################################
ViewscreenForward = App.PositionOrientationProperty_Create("ViewscreenForward")

ViewscreenForwardForward = App.TGPoint3()
ViewscreenForwardForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenForwardUp = App.TGPoint3()
ViewscreenForwardUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenForwardRight = App.TGPoint3()
ViewscreenForwardRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenForward.SetOrientation(ViewscreenForwardForward, ViewscreenForwardUp, ViewscreenForwardRight)
ViewscreenForwardPosition = App.TGPoint3()
ViewscreenForwardPosition.SetXYZ(0.000000, 3.600000, 0.000000)
ViewscreenForward.SetPosition(ViewscreenForwardPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenForward)
#################################################
ViewscreenBack = App.PositionOrientationProperty_Create("ViewscreenBack")

ViewscreenBackForward = App.TGPoint3()
ViewscreenBackForward.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenBackUp = App.TGPoint3()
ViewscreenBackUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenBackRight = App.TGPoint3()
ViewscreenBackRight.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenBack.SetOrientation(ViewscreenBackForward, ViewscreenBackUp, ViewscreenBackRight)
ViewscreenBackPosition = App.TGPoint3()
ViewscreenBackPosition.SetXYZ(0.000000, -3.600000, 0.000000)
ViewscreenBack.SetPosition(ViewscreenBackPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenBack)
#################################################
ViewscreenLeft = App.PositionOrientationProperty_Create("ViewscreenLeft")

ViewscreenLeftForward = App.TGPoint3()
ViewscreenLeftForward.SetXYZ(-1.000000, 0.000000, 0.000000)
ViewscreenLeftUp = App.TGPoint3()
ViewscreenLeftUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenLeftRight = App.TGPoint3()
ViewscreenLeftRight.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenLeft.SetOrientation(ViewscreenLeftForward, ViewscreenLeftUp, ViewscreenLeftRight)
ViewscreenLeftPosition = App.TGPoint3()
ViewscreenLeftPosition.SetXYZ(-3.600000, 0.000000, 0.000000)
ViewscreenLeft.SetPosition(ViewscreenLeftPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenLeft)
#################################################
ViewscreenRight = App.PositionOrientationProperty_Create("ViewscreenRight")

ViewscreenRightForward = App.TGPoint3()
ViewscreenRightForward.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenRightUp = App.TGPoint3()
ViewscreenRightUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenRightRight = App.TGPoint3()
ViewscreenRightRight.SetXYZ(0.000000, -1.000000, 0.000000)
ViewscreenRight.SetOrientation(ViewscreenRightForward, ViewscreenRightUp, ViewscreenRightRight)
ViewscreenRightPosition = App.TGPoint3()
ViewscreenRightPosition.SetXYZ(3.600000, 0.000000, 0.000000)
ViewscreenRight.SetPosition(ViewscreenRightPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenRight)
#################################################
ViewscreenUp = App.PositionOrientationProperty_Create("ViewscreenUp")

ViewscreenUpForward = App.TGPoint3()
ViewscreenUpForward.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenUpUp = App.TGPoint3()
ViewscreenUpUp.SetXYZ(0.000000, 0.000000, 1.000000)
ViewscreenUpRight = App.TGPoint3()
ViewscreenUpRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenUp.SetOrientation(ViewscreenUpForward, ViewscreenUpUp, ViewscreenUpRight)
ViewscreenUpPosition = App.TGPoint3()
ViewscreenUpPosition.SetXYZ(0.000000, 0.000000, 3.500000)
ViewscreenUp.SetPosition(ViewscreenUpPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenUp)
#################################################
ViewscreenDown = App.PositionOrientationProperty_Create("ViewscreenDown")

ViewscreenDownForward = App.TGPoint3()
ViewscreenDownForward.SetXYZ(0.000000, 0.000000, -1.000000)
ViewscreenDownUp = App.TGPoint3()
ViewscreenDownUp.SetXYZ(0.000000, 1.000000, 0.000000)
ViewscreenDownRight = App.TGPoint3()
ViewscreenDownRight.SetXYZ(1.000000, 0.000000, 0.000000)
ViewscreenDown.SetOrientation(ViewscreenDownForward, ViewscreenDownUp, ViewscreenDownRight)
ViewscreenDownPosition = App.TGPoint3()
ViewscreenDownPosition.SetXYZ(0.000000, 0.000000, -3.500000)
ViewscreenDown.SetPosition(ViewscreenDownPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(ViewscreenDown)
#################################################
FirstPersonCamera = App.PositionOrientationProperty_Create("FirstPersonCamera")

FirstPersonCameraForward = App.TGPoint3()
FirstPersonCameraForward.SetXYZ(0.000000, 1.000000, 0.000000)
FirstPersonCameraUp = App.TGPoint3()
FirstPersonCameraUp.SetXYZ(0.000000, 0.000000, 1.000000)
FirstPersonCameraRight = App.TGPoint3()
FirstPersonCameraRight.SetXYZ(1.000000, 0.000000, 0.000000)
FirstPersonCamera.SetOrientation(FirstPersonCameraForward, FirstPersonCameraUp, FirstPersonCameraRight)
FirstPersonCameraPosition = App.TGPoint3()
FirstPersonCameraPosition.SetXYZ(0.000000, 3.650000, 0.000000)
FirstPersonCamera.SetPosition(FirstPersonCameraPosition)
App.g_kModelPropertyManager.RegisterLocalTemplate(FirstPersonCamera)
#################################################
DockingBay = App.HullProperty_Create("Docking Bay")

DockingBay.SetMaxCondition(25000.000000)
DockingBay.SetCritical(0)
DockingBay.SetTargetable(1)
DockingBay.SetPrimary(0)
DockingBay.SetPosition(0.000000, 3.300000, 0.000000)
DockingBay.SetPosition2D(15.000000, 15.000000)
DockingBay.SetRepairComplexity(5.000000)
DockingBay.SetDisabledPercentage(0.500000)
DockingBay.SetRadius(0.300000)
App.g_kModelPropertyManager.RegisterLocalTemplate(DockingBay)
#################################################
# Property load function.
def LoadPropertySet(pObj):
	"Sets up the object's properties."
	prop = App.g_kModelPropertyManager.FindByName("Hull", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cortical Node", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Shield Generator", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Sensor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Impulse Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Impulse", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Transwarp Engines", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Port Transwarp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Star Transwarp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Beam Arrays", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam D4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Energy Beam V4", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector D1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector D2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector D3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector V1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector V2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Projector V3", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam FP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam FS", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam AP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cutting Beam AS", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Plasma Cannons", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FP2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon FS2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AP2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Cannon AS2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Torpedo Bays", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay A1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay A2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay DP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay DS", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay VP", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Bay VS", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Raw Material Storage", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beams", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam F1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam F2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam A", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam P", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Holding Beam S", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Docking Bay", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Borg Sphere", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenForward", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenBack", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenLeft", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenRight", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenUp", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("ViewscreenDown", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("FirstPersonCamera", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)